#<profile4xi profile = "12" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "skeleton_print4xi.py">
#<abstract4xi abstract = "
# Goal
#     Provide framework for verbs to be used in program modules and for automatically generating macros.
#     Acting as a step toward natural language to be used in CPU cores specialized to sensing, reasoning and acing  
#
# Syntax:                              
#     ref: Webster's Encyclopedic Unabridged Dictionary
#          - ABBREVIATTIONS USED IN THE DEFINITIONS p. XXV
#          - BASIC MANUAL OF STYLE, P.2215
# 
#usage = "
#
# Implementation:
# 1)  programs send natural language verbs such as started as actions to print4xi-module
# 2)  a new verbs is introduced in this module both for functions and classes, macro4xi-module creates new macros
# 3)  all programs - except test programs - call print4xi instead of print, degug, debuginfo or similar
# 4)  test programs
#     - call sense, reason and ace methods of Print4Xi to produce XML files
#     - call print (not print4xi) for their own debugging
# 5)  verbs in  messages are either presence (activate), past (activated) or ing-form (activating)
# 6)  nouns thereby show also theird state (xxxxxxxx-got-....)
# 7)  the end of nouns depicts either the function (-by-start4xi) or method and class (-by-start-of-Manager4Xi)
# 8)  born, inherit and activat verbs are reserved for class __init__ methods 
#      

#"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi> 
__all__ = [ 'skeleton_print4xi', 'SkeletonPrint4Xi' ]  
#</interface4xi>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass

                
try:                 # most-common ones
    pass         
except:
    pass
try:                 # rare ones
    pass          
except:
    pass 
try:                 # imported-as ones 
    pass          
except:
    pass            
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>
 
#</dragonize2import4xi>
# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from all_methods4xi import all_methods4xi

from examine4xi import examine4xi

from print4xi import print4xi
from private_methods4xi import private_methods4xi
from public_methods4xi import public_methods4xi

from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi

from time4xi import time4xi
#"
#/>



#<globalize2constant4xi>
# -------------------------------------------------------------------------------------------------
# Globals: these variables help this module get compiled as any stantard program                              
# -------------------------------------------------------------------------------------------------
global xxxxxxxx                 # worker
global XXXXXXXX                 # special worker

global yyyyyyyy                 # function or method -of-
global YYYYYYYY                 # class in operations 

global zzzzzzzz                 # module of function -by-
global ZZZZZZZZ                 # class  of module  -by-


xxxxxxxx = 'xxxxxxxx'
XXXXXXXX = 'XXXXXXXX'

yyyyyyyy = 'yyyyyyyy'
YYYYYYYY = 'YYYYYYYY'

zzzzzzzz = 'zzzzzzzz'
ZZZZZZZZ = 'ZZZZZZZZ'

#</globalize2constant4xi>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "sense_function4xi" usage = "                                   
# sense_function4xi of THIS module - to be copy pasted to the function modules embedding this !
#                                  - the name inside the module embedding this is the same
#
# Notes:                           - embedded functions exist in several modules
#                                  - therefore you have depict these with -of-module
#"
#>  
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def sense_function4xi(function):
    '''
    function sense_function4xi: senses function objects
    '''
    global zzzzzzzz             #<-- DELETE THIS LINE AFTER COPY PASTING TO A MODULE !!! 
    
    class2print = 'sense_function4xi'
    method2print = 'sense_function4xi'
    
    message2print = "{started" + "; sense-function4xi-started-started: " + str(sense_function4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    
    
    
    # -----------------------------------------------------------------------------------------
    # initialize knowledge
    # -----------------------------------------------------------------------------------------        
    kb2xi = {'function2xi': str(function)}
             
    message2print = "{set" + "; kb2xi-set-by-sense-function4xi-of-zzzzzzzz to: " + str(kb2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    
    # -----------------------------------------------------------------------------------------
    # sense knowledge specific to this function
    # -----------------------------------------------------------------------------------------         

  
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------         
    message2print = "{sensed" + "; function-sensed-by-sense-function4xi-of-zzzzzzzz: "  + str(function) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
  
    message2print = "{returning" + "; kb2xi-returning-by-sense-function4xi-of-zzzzzzzz: " + str(kb2xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
      
    return kb2xi
    
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------        
#</function4xi>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "reason_function4xi" usage = "
# reason_function4xi of THIS module- to be copy pasted to the function modules embedding this !
#                                  - the name inside the module embedding this is the same
#
# Notes:                           - embedded functions exist in several modules
#                                  - therefore you have depict these with -of-module
#"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def reason_function4xi(function):
    '''
    function reason_function4xi: reasons function objects
    '''
    global zzzzzzzz             #<-- DELETE THIS LINE AFTER COPY PASTING TO A MODULE !!! 
        
    class2print = 'reason_function4xi'
    method2print = 'reason_function4xi'
    
    message2print = "{started" + "; reason-function4xi-started: " + str(reason_function4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
      
    message2print = "{passed" + "; function-passed-to-reason-function4xi-of-zzzzzzzz: " + str(function) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
       
    
    # -----------------------------------------------------------------------------------------
    # initialize knowledge
    # -----------------------------------------------------------------------------------------         
    kb4xi = {'function4xi': str(function)}
    
    
    message2print = "{set" + "; kb4xi-set-by-reason-function4xi-of-zzzzzzzz to: " + str(kb4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    
    # -----------------------------------------------------------------------------------------
    # reason knowledge specific to this function
    # -----------------------------------------------------------------------------------------          
  
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------        
    message2print = "{reasoned" + "; function-reasoned-by-reason-function4xi-of-zzzzzzzz: "  + str(function) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
  
      
         
    message2print = "{returning" + "; kb4xi-returning-by-reason-function4xi-of-zzzzzzzz: " + str(kb4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)           
            
      
    return kb4xi
    
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------            
#</function4xi>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "ace_function4xi" usage = " 
# ace_function4xi of THIS module - - to be copy pasted to the function modules embedding this !
#                                  - the name inside the module embedding this is the same
#
# Notes:                           - embedded functions exist in several modules
#                                  - therefore you have depict these with -of-module
#"
#> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def ace_function4xi(function):
    '''
    function ace_function4xi: aces function objects 
    '''
    global zzzzzzzz         #<-- DELETE THIS LINE AFTER COPYING ACE METHOD SKELETON TO A MODULE !!!          
    
    
    class2print = 'ace_function4xi'
    method2print = 'ace_function4xi'
    
    message2print = "{started" + "; ace-function4xi-started: " + str(ace_function4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    
    message2print = "{passed" + "; function-passed-to-ace-function4xi-of-zzzzzzzz: " + str(function) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    # -----------------------------------------------------------------------------------------
    # initialize knowledge
    # -----------------------------------------------------------------------------------------        
    kb8xi = {'function8xi': str(function)}
 
    
    message2print = "{set" + "; kb8xi-set-by-ace-function4xi-of-zzzzzzzz to: " + str(kb8xi)  + "; time: " + time4xi() + "}"
    
    # -----------------------------------------------------------------------------------------
    # ace knowledge specific to this function
    # -----------------------------------------------------------------------------------------              
      
    message2print = "{aced" + "; function-aced-by-ace-function4xi-of-zzzzzzzz: "  + str(function) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------        
  
    message2print = "{returning" + "; kb8xi-returning-by-ace-function4xi-of-zzzzzzzz: " + str(kb8xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
             
    
    return kb8xi
    
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------            
#</function4xi>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "skeleton_print4xi" usage = "
# Skeletons for functions                             
#"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def skeleton_print4xi(parameter1="halongbay", 
                      parameter2="2. where the dragons descend to the sea", 
                      parameter3="3. sense it!", 
                      parameter4="4. reason it!", 
                      parameter5="5. ace it!", 
                      parameter6="6. with ", 
                      parameter7="7. your ", 
                      parameter8="8. dragonxi!"):  
    
    global XXXXXXXX
    global xxxxxxxx
    global objectXXXXXXXX
    
    global yyyyyyyy
    global YYYYYYYY
    
    global zzzzzzzz
    global ZZZZZZZZ        
    
    # -----------------------------------------------------------------------------------------    
    # Start in the same way as other programs - this is a program too!
    # ----------------------------------------------------------------------------------------- 
    class2print = "skeleton_print4xi"
    method2print = "skeleton_print4xi"
    
    message2print = "{started" + "; skeleton_print4xi.py-started: " + str(skeleton_print4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    
    message2print = "{passed" + "; parameter1-passed-to-skeleton_print4xi: " + str(parameter1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter2-passed-to-skeleton_print4xi: " + str(parameter2) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter3-passed-to-skeleton_print4xi: " + str(parameter3) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter4-passed-to-skeleton_print4xi: " + str(parameter4) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter5-passed-to-skeleton_print4xi: " + str(parameter5) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter6-passed-to-skeleton_print4xi: " + str(parameter6) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter7-passed-to-skeleton_print4xi: " + str(parameter7) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; parameter8-passed-to-skeleton_print4xi: " + str(parameter8) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
                            
    # -----------------------------------------------------------------------------------------    
    # Trace messages for FUNCTIONS - verbs matching to those of verbs in print4xi.py
    # Note: these messages are NOT compatible to those in classes (xxxxxxxxx-of-class missing) 
    # ----------------------------------------------------------------------------------------- 

 
#[A]-function
    # -----------------------------------------------------------------------------------------    
    # ABBREVIATE, ABBREVIATED, ABBREVIATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "abbreviate-f">
    message2print = "{abbreviate" + "; xxxxxxxx-abbreviate-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "abbreviated-f">
    message2print = "{abbreviated" + "; xxxxxxxx-abbreviated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "abbreviating-f">
    message2print = "{abbreviating" + "; xxxxxxxx-abbreviating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
             
    # -----------------------------------------------------------------------------------------    
    # ABSTRACT, ABSTRACTED, ABSTRACTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "abstract-f">
    message2print = "{abstract" + "; xxxxxxxx-abstract-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "abstracted-f">
    message2print = "{abstracted" + "; xxxxxxxx-abstracted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "abstracting-f">
    message2print = "{abstracting" + "; xxxxxxxx-abstracting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # ACCEPT, ACCEPTED, ACCEPTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "accept-f">
    message2print = "{accept" + "; xxxxxxxx-accept-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "accepted-f">
    message2print = "{accepted" + "; xxxxxxxx-accepted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "accepting-f">
    message2print = "{accepting" + "; xxxxxxxx-accepting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>                
    
    # -----------------------------------------------------------------------------------------    
    # ACE, ACED, ACING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "ace-f">
    message2print = "{ace" + "; xxxxxxxx-ace-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "aced-f">
    message2print = "{aced" + "; xxxxxxxx-aced-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "acing-f">
    message2print = "{acing" + "; xxxxxxxx-acing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # ACKNOWLEDGE, ACKNOWLEDGED, ACKNOWLEDGING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "acknowledge-f">
    message2print = "{acknowledge" + "; xxxxxxxx-acknowledge-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "acknowledged-f">
    message2print = "{acknowledged" + "; xxxxxxxx-acknowledged-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "acknowledging-f">
    message2print = "{acknowledging" + "; xxxxxxxx-acknowledging-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # ACQUIRE, ACQUIRED, ACQUIRING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "acquire-f">
    message2print = "{acquire" + "; xxxxxxxx-acquire-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "acquired-f">
    message2print = "{acquired" + "; xxxxxxxx-acquired-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "acquiring-f">
    message2print = "{acquiring" + "; xxxxxxxx-acquiring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # ACT, ACTED, ACTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "act-f">
    message2print = "{act" + "; xxxxxxxx-act-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "acted-f">
    message2print = "{acted" + "; xxxxxxxx-acted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "acting-f">
    message2print = "{acting" + "; xxxxxxxx-acting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # ADD, ADDED, ADDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "add-f">
    message2print = "{add" + "; xxxxxxxx-add-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "added-f">
    message2print = "{added" + "; xxxxxxxx-added-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "adding-f">
    message2print = "{adding" + "; xxxxxxxx-adding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                          
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # ANALYZE, ANALYZED, ANALYZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "analyze-f">
    message2print = "{analyze" + "; xxxxxxxx-analyze-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "analyzed-f">
    message2print = "{analyzed" + "; xxxxxxxx-analyzed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "analyzing-f">
    message2print = "{analyzing" + "; xxxxxxxx-analyzing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # APPEND, APPENDED, APPENDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "append-f">
    message2print = "{append" + "; xxxxxxxx-append-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "appended-f">
    message2print = "{appended" + "; xxxxxxxx-appended-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "appending-f">
    message2print = "{appending" + "; xxxxxxxx-appending-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # ASSERT, ASSERTED, ASSERTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "assert-f">
    message2print = "{assert" + "; xxxxxxxx-assert-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "asserted-f">
    message2print = "{asserted" + "; xxxxxxxx-asserted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "asserting-f">
    message2print = "{asserting" + "; xxxxxxxx-asserting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

#[B]-function
    
    # -----------------------------------------------------------------------------------------    
    # BREAK, BROKE, BREAKING
    # -----------------------------------------------------------------------------------------    
    #<macro4xi macro = "break-f">
    message2print = "{break" + "; xxxxxxxx-break-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "broke-f">
    message2print = "{broke" + "; xxxxxxxx-broke-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "breaking-f">
    message2print = "{breaking" + "; xxxxxxxx-breaking-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # BUILD, BUILT, BUILDING
    # -----------------------------------------------------------------------------------------    
    #<macro4xi macro = "build-f">
    message2print = "{build" + "; xxxxxxxx-build-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "built-f">
    message2print = "{built" + "; xxxxxxxx-built-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "building-f">
    message2print = "{building" + "; xxxxxxxx-building-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                
    #</macro4xi>

#[C]-function
    # -----------------------------------------------------------------------------------------    
    # CALCULATE, CALCULATED, CALCULATING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "calculate-f">
    message2print = "{calculate" + "; xxxxxxxx-calculate-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "calculated-f">
    message2print = "{calculated" + "; xxxxxxxx-calculated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "calculating-f">
    message2print = "{calculating" + "; xxxxxxxx-calculating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi> 
         
    # -----------------------------------------------------------------------------------------    
    # CALL, CALLED, CALLING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "call-f">
    message2print = "{call" + "; xxxxxxxx-call-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "called-f">
    message2print = "{called" + "; xxxxxxxx-called-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "calling-f">
    message2print = "{calling" + "; xxxxxxxx-calling-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # CAST, CASTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "cast-f">
    message2print = "{cast" + "; xxxxxxxx-cast-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "casting-f">
    message2print = "{casting" + "; xxxxxxxx-casting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    
    # -----------------------------------------------------------------------------------------    
    # CHECK, CHECKED, CHECKING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "check-f">
    message2print = "{check" + "; xxxxxxxx-check-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
    
    #<macro4xi macro = "checked-f">
    message2print = "{checked" + "; xxxxxxxx-checked-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>

    #<macro4xi macro = "checking-f">
    message2print = "{checking" + "; xxxxxxxx-checking-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # CLASS, CLASSED, CLASSING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "class-f">
    message2print = "{class" + "; xxxxxxxx-class-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>        
    
    #<macro4xi macro = "classed-f">
    message2print = "{classed" + "; xxxxxxxx-classed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>                
    
    #<macro4xi macro = "classing-f">
    message2print = "{classing" + "; xxxxxxxx-classing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>                
      
    # -----------------------------------------------------------------------------------------    
    # CLEAR, CLEARED, CLEARING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "clear-f">
    message2print = "{clear" + "; xxxxxxxx-clear-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
    
    #<macro4xi macro = "cleared-f">
    message2print = "{cleared" + "; xxxxxxxx-cleared-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>

    #<macro4xi macro = "clearing-f">
    message2print = "{clearing" + "; xxxxxxxx-clearing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # CLOSE, CLOSED, CLOSING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "close-f">
    message2print = "{close" + "; xxxxxxxx-close-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
    
    #<macro4xi macro = "closed-f">
    message2print = "{closed" + "; xxxxxxxx-closed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>

    #<macro4xi macro = "closing-f">
    message2print = "{closing" + "; xxxxxxxx-closing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # CLUSTER, CLUSTERED, CLUSTERING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "cluster-f">
    message2print = "{cluster" + "; xxxxxxxx-cluster-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
    
    #<macro4xi macro = "clustered-f">
    message2print = "{clustered" + "; xxxxxxxx-clustered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>

    #<macro4xi macro = "clustering-f">
    message2print = "{clustering" + "; xxxxxxxx-clustering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # COLOR, COLORED, COLORING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "color-f">
    message2print = "{color" + "; xxxxxxxx-color-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "colored-f">
    message2print = "{colored" + "; xxxxxxxx-colored-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "coloring-f">
    message2print = "{coloring" + "; xxxxxxxx-coloring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
                          
    # -----------------------------------------------------------------------------------------    
    # COMMAND, COMMANDED, COMMANDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "command-f">
    message2print = "{command" + "; xxxxxxxx-command-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "commanded-f">
    message2print = "{commanded" + "; xxxxxxxx-commanded-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "commanding-f">
    message2print = "{commanding" + "; xxxxxxxx-commanding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # COMMENT, COMMENTED, COMMENTING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "comment-f">
    message2print = "{comment" + "; xxxxxxxx-comment-by-yyyyyyyy: xxxxxxxx " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "commented-f">
    message2print = "{commented" + "; xxxxxxxx-commented-by-yyyyyyyy: xxxxxxxx " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "commenting-f">
    message2print = "{commenting" + "; xxxxxxxx-commenting-by-yyyyyyyy: xxxxxxxx " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # COMPARE, COMPARED, COMPARING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "compare-f">
    message2print = "{compare" + "; xxxxxxxx-compare-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "compared-f">
    message2print = "{compared" + "; xxxxxxxx-compared-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "comparing-f">
    message2print = "{comparing" + "; xxxxxxxx-comparing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # CONCLUDE, CONCLUDED, CONCLUDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "conclude-f">
    message2print = "{conclude" + "; xxxxxxxx-conclude-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                     
    #</macro4xi>
    
    #<macro4xi macro = "concluded-f">
    message2print = "{concluded" + "; xxxxxxxx-concluded-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                     
    #</macro4xi>

    #<macro4xi macro = "concluding-f">
    message2print = "{concluding" + "; xxxxxxxx-concluding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # CONNECT, CONNECTED, CONNECTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "connect-f">
    message2print = "{connect" + "; xxxxxxxx-connect-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "connected-f">
    message2print = "{connected" + "; xxxxxxxx-connected-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "connecting-f">
    message2print = "{connecting" + "; xxxxxxxx-connecting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # CONTEXTUALIZE, CONTEXTUALIZED, CONTEXTUALIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "contextualize-f">
    message2print = "{contextualize" + "; xxxxxxxx-contextualize-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "contextualized-f">
    message2print = "{contextualized" + "; xxxxxxxx-contextualized-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "contextualizing-f">
    message2print = "{contextualizing" + "; xxxxxxxx-contextualizing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>        
    
    # -----------------------------------------------------------------------------------------    
    # COORDINATE, COORDINATED, COORDINATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "coordinate-f">
    message2print = "{coordinate" + "; xxxxxxxx-coordinate-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "coordinated-f">
    message2print = "{coordinated" + "; xxxxxxxx-coordinated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "coordinating-f">
    message2print = "{coordinating" + "; xxxxxxxx-coordinating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # CREATE, CREATED, CREATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "create-f">
    message2print = "{create" + "; xxxxxxxx-create-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "created-f">
    message2print = "{created" + "; xxxxxxxx-created-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "creating-f">
    message2print = "{creating" + "; xxxxxxxx-creating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                             
    #</macro4xi>

#[D]-function 
    # -----------------------------------------------------------------------------------------    
    # DECIDE, DECIDED, DECIDING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "decide-f">
    message2print = "{decide" + "; xxxxxxxx-decide-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    #<macro4xi macro = "decided-f">
    message2print = "{decided" + "; xxxxxxxx-decided-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>

    #<macro4xi macro = "deciding-f">
    message2print = "{deciding" + "; xxxxxxxx-deciding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # DEFINE, DEFINED, DEFINING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "define-f">
    message2print = "{define" + "; xxxxxxxx-define-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    #<macro4xi macro = "defined-f">
    message2print = "{defined" + "; xxxxxxxx-defined-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    #<macro4xi macro = "defining-f">
    message2print = "{defining" + "; xxxxxxxx-defining-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>            
    
    # -----------------------------------------------------------------------------------------    
    # DELETE, DELETED, DELETING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "delete-f">
    message2print = "{delete" + "; xxxxxxxx-delete-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "deleted-f">
    message2print = "{deleted" + "; xxxxxxxx-deleted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "deleting-f">
    message2print = "{deleting" + "; xxxxxxxx-deleting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # DELIVER, DELIVERED, DELIVERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "deliver-f">
    message2print = "{deliver" + "; xxxxxxxx-deliver-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "delivered-f">
    message2print = "{delivered" + "; xxxxxxxx-delivered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "delivering-f">
    message2print = "{delivering" + "; xxxxxxxx-delivering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>      

    # -----------------------------------------------------------------------------------------    
    # DIRECT, DIRECTED, DIRECTING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "direct-f">
    message2print = "{direct" + "; xxxxxxxx-direct-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "directed-f">
    message2print = "{directed" + "; xxxxxxxx-directed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "directing-f">
    message2print = "{directing" + "; xxxxxxxx-directing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>


    # -----------------------------------------------------------------------------------------    
    # DISCARD, DISCARDED, DISCARDING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "discard-f">
    message2print = "{discard" + "; xxxxxxxx-discard-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "discarded-f">
    message2print = "{discarded" + "; xxxxxxxx-discarded-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "discarding-f">
    message2print = "{discarding" + "; xxxxxxxx-discarding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # DISCONNECT, DISCONNECTED, DISCONNECTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "disconnect-f">
    message2print = "{disconnect" + "; xxxxxxxx-disconnect-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "disconnected-f">
    message2print = "{disconnected" + "; xxxxxxxx-disconnected-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "disconnecting-f">
    message2print = "{disconnecting" + "; xxxxxxxx-disconnecting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
                
    # -----------------------------------------------------------------------------------------    
    # DISCOVER, DISCOVERED, DISCOVERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "discover-f">
    message2print = "{discover" + "; xxxxxxxx-discover-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    #<macro4xi macro = "discovered-f">
    message2print = "{discovered" + "; xxxxxxxx-discovered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>

    #<macro4xi macro = "discovering-f">
    message2print = "{discovering" + "; xxxxxxxx-discovering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # DISPATCH, DISPATCHED, DISPATCHING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "dispatch-f">
    message2print = "{dispatch" + "; xxxxxxxx-dispatch-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    #<macro4xi macro = "dispatched-f">
    message2print = "{dispatched" + "; xxxxxxxx-dispatched-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>

    #<macro4xi macro = "dispatching-f">
    message2print = "{dispatching" + "; xxxxxxxx-dispatching-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # DISTANCE, DISTANCED, DISTANCING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "distance-f">
    message2print = "{distance" + "; xxxxxxxx-distance-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "distanced-f">
    message2print = "{distanced" + "; xxxxxxxx-distanced-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "distancing-f">
    message2print = "{distancing" + "; xxxxxxxx-distancing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    
    # -----------------------------------------------------------------------------------------    
    # DO, DID, DOING, DONE
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "do-f">
    message2print = "{do" + "; xxxxxxxx-do-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "did-f">
    message2print = "{did" + "; xxxxxxxx-did-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "doing-f">
    message2print = "{doing" + "; xxxxxxxx-doing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>

    #<macro4xi macro = "done-f">
    message2print = "{done" + "; xxxxxxxx-done-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # DRAGONIZE, DRAGONIZED, DRAGONIZING       
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "dragonize-f">
    message2print = "{dragonize" + "; xxxxxxxx-dragonize-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    #<macro4xi macro = "dragonized-f">
    message2print = "{dragonized" + "; xxxxxxxx-dragonized-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    #<macro4xi macro = "dragonizing-f">
    message2print = "{dragonizing" + "; xxxxxxxx-dragonizing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
       
    # -----------------------------------------------------------------------------------------    
    # DUMP, DUMPED, DUMPING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "dump-f">
    message2print = "{dump" + "; xxxxxxxx-dump-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    #<macro4xi macro = "dumped-f">
    message2print = "{dumped" + "; xxxxxxxx-dumped-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>

    #<macro4xi macro = "dumping-f">
    message2print = "{dumping" + "; xxxxxxxx-dumping-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>

#[E]-function 
    # -----------------------------------------------------------------------------------------    
    # EMBED, EMBEDDED, EMBEDDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "embedd-f">
    message2print = "{embed" + "; xxxxxxxx-embed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "embedded-f">
    message2print = "{embedded" + "; xxxxxxxx-embedded-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "embedding-f">
    message2print = "{embedding" + "; xxxxxxxx-embedding-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # END, ENDED, ENDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "end-f">
    message2print = "{end" + "; xxxxxxxx-end-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "ended-f">
    message2print = "{ended" + "; xxxxxxxx-ended-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "ending-f">
    message2print = "{ending" + "; xxxxxxxx-ending-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
        
    
    # -----------------------------------------------------------------------------------------    
    # ENTER, ENTERED, ENTERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "enter-f">
    message2print = "{enter" + "; xxxxxxxx-enter-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "entered-f">
    message2print = "{entered" + "; xxxxxxxx-entered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "entering-f">
    message2print = "{entering" + "; xxxxxxxx-entering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # EXAMINE, EXAMINED, EXAMINING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "examine-f">
    message2print = "{examine" + "; xxxxxxxx-examine-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "examined-f">
    message2print = "{examined" + "; xxxxxxxx-examined-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "examining-f">
    message2print = "{examining" + "; xxxxxxxx-examining-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                    
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # EXPOSE, EXPOSED, EXPOSING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "expose-f">
    message2print = "{expose" + "; xxxxxxxx-expose-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "exposed-f">
    message2print = "{exposed" + "; xxxxxxxx-exposed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "exposing-f">
    message2print = "{exposing" + "; xxxxxxxx-exposing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
    #</macro4xi>
     
#[F]-function
    # -----------------------------------------------------------------------------------------    
    # FAIL, FAILED, FAILING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "fail-f">
    message2print = "{fail" + "; xxxxxxxx-fail-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "failed-f">
    message2print = "{failed" + "; xxxxxxxx-failed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
        
    #<macro4xi macro = "failing-f">
    message2print = "{failing" + "; xxxxxxxx-failing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>    
     
    # -----------------------------------------------------------------------------------------    
    # FINALIZE, FINALIZED, FINALIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "finalize-f">
    message2print = "{finalize" + "; xxxxxxxx-finalize-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "finalized-f">
    message2print = "{finalized" + "; xxxxxxxx-finalized-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
        
    #<macro4xi macro = "finalizing-f">
    message2print = "{finalizing" + "; xxxxxxxx-finalizing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # FIRE, FIRED, FIRING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "fire-f">
    message2print = "{fire" + "; xxxxxxxx-fire-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "fired-f">
    message2print = "{fired" + "; xxxxxxxx-fired-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "firing-f">
    message2print = "{firing" + "; xxxxxxxx-firing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # FLUSH, FLUSHED, FLUSHING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "flush-f">
    message2print = "{flush" + "; xxxxxxxx-flush-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "flushed-f">
    message2print = "{flushed" + "; xxxxxxxx-flushed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "flushing-f">
    message2print = "{flushing" + "; xxxxxxxx-flushing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # FLY, FLIED, FLYING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "fly-f">
    message2print = "{fly" + "; xxxxxxxx-fly-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "flied-f">
    message2print = "{flied" + "; xxxxxxxx-flied-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "flying-f">
    message2print = "{flying" + "; xxxxxxxx-flying-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # FREE, FREED, FREEING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "free-f">
    message2print = "{free" + "; xxxxxxxx-free-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "freed-f">
    message2print = "{freed" + "; xxxxxxxx-freed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "freeing-f">
    message2print = "{freeing" + "; xxxxxxxx-freeing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # FUNCTION, FUNCTIONED, FUNCTIONING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "function-f">
    message2print = "{function" + "; xxxxxxxx-function-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "functioned-f">
    message2print = "{functioned" + "; xxxxxxxx-functioned-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>    
    
    #<macro4xi macro = "functioning-f">
    message2print = "{functioning" + "; xxxxxxxx-functioning-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
        
#[G]-function                        
    # -----------------------------------------------------------------------------------------    
    # GET, GOT, GETTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "get-f">
    message2print = "{get" + "; xxxxxxxx-get-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "got-f">
    message2print = "{got" + "; xxxxxxxx-got-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "getting-f">
    message2print = "{getting" + "; xxxxxxxx-getting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # GLOBALIZE, GLOBALIZED, GLOBALIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "globalize-f">
    message2print = "{globalize" + "; xxxxxxxx-globalize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "globalized-f">
    message2print = "{globalized" + "; xxxxxxxx-globalized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "globalizing-f">
    message2print = "{globalizing" + "; xxxxxxxx-globalizing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
               
#[H]-function
    # -----------------------------------------------------------------------------------------    
    # HATCH, HATCHED, HATCHING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "hatch-f">
    message2print = "{hatch" + "; xxxxxxxx-hatch-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "hatched-f">
    message2print = "{hatched" + "; xxxxxxxx-hatched-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "hatching-f">
    message2print = "{hatching" + "; xxxxxxxx-hatching-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>            
    
    # -----------------------------------------------------------------------------------------    
    # HIT, HITTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "hit-f">
    message2print = "{hit" + "; xxxxxxxx-hit-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "hitting-f">
    message2print = "{hitting" + "; xxxxxxxx-hitting-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                     
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # HUNT, HUNTED, HUNTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "hunt-f">
    message2print = "{hunt" + "; xxxxxxxx-hunt-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "hunted-f">
    message2print = "{hunted" + "; xxxxxxxx-hunted-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "hunting-f">
    message2print = "{hunting" + "; xxxxxxxx-hunting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

      
#[I]-function
    # -----------------------------------------------------------------------------------------    
    # IDLE, IDLED, IDLING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "idle-f">
    message2print = "{idle" + "; xxxxxxxx-idle-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "idled-f">
    message2print = "{idled" + "; xxxxxxxx-idled-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "idling-f">
    message2print = "{idling" + "; xxxxxxxx-idling-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # IGNORE, IGNORED, IGNORING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "ignore-f">
    message2print = "{ignore" + "; xxxxxxxx-ignore-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "ignored-f">
    message2print = "{ignored" + "; xxxxxxxx-ignored-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>    

    #<macro4xi macro = "ignoring-f">
    message2print = "{ignoring" + "; xxxxxxxx-ignoring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>  
            
    # -----------------------------------------------------------------------------------------    
    # IMPORT, IMPORTED, IMPORTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "import-f">
    message2print = "{import" + "; xxxxxxxx-import-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "imported-f">
    message2print = "{imported" + "; xxxxxxxx-imported-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "importing-f">
    message2print = "{importing" + "; xxxxxxxx-importing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # IMPOSE, IMPOSED, IMPOSEING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "impose-f">
    message2print = "{impose" + "; xxxxxxxx-impose-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "imposed-f">
    message2print = "{imposed" + "; xxxxxxxx-imposed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "imposing-f">
    message2print = "{imposing" + "; xxxxxxxx-imposing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
        
    # -----------------------------------------------------------------------------------------    
    # INDICATE, INDICATED, INDICATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "indicate-f">
    message2print = "{indicate" + "; xxxxxxxx-indicate-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "indicated-f">
    message2print = "{indicated" + "; xxxxxxxx-indicated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "indicating-f">
    message2print = "{indicating" + "; xxxxxxxx-indicating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # INFORM, INFORMED, INFORMING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "inform-f">
    message2print = "{inform" + "; xxxxxxxx-inform-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    #<macro4xi macro = "informed-f">
    message2print = "{informed" + "; xxxxxxxx-informed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>

    #<macro4xi macro = "informing-f">
    message2print = "{informing" + "; xxxxxxxx-informing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # INITIALIZE, INITIALIZED, INITIALIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "initialize-f"> 
    message2print = "{initialize" + "; xxxxxxxx-initialize-by-yyyyyyyy to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "initialized-f"> 
    message2print = "{initialized" + "; xxxxxxxx-initialized-by-yyyyyyyy to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "initializing-f"> 
    message2print = "{initializing" + "; xxxxxxxx-initializing-by-yyyyyyyy to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # INTERFACE, INTERFACED, INTERFACING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "interface-f">
    message2print = "{interface" + "; xxxxxxxx-interface by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "interfaced-f">
    message2print = "{interfaced" + "; xxxxxxxx-interfaced by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "interfacing-f">
    message2print = "{interfacing" + "; xxxxxxxx-interfacing by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>    
                     
#[J]-function
    # -----------------------------------------------------------------------------------------    
    # JOIN, JOINED, JOINING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "join-f">
    message2print = "{join" + "; xxxxxxxx-join-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "joined-f">
    message2print = "{joined" + "; xxxxxxxx-joined-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "joining-f">
    message2print = "{joining" + "; xxxxxxxx-joining-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

#[K]-function
    # -----------------------------------------------------------------------------------------    
    # KILL, KILLED, KILLING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "kill-f">
    message2print = "{kill" + "; xxxxxxxx-kill-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "killed-f">
    message2print = "{killed" + "; xxxxxxxx-killed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "killing-f">
    message2print = "{killing" + "; xxxxxxxx-killing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

#[L]-function
    # -----------------------------------------------------------------------------------------    
    # LAND, LANDED, LANDING     
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "land-f">
    message2print = "{land" + "; xxxxxxxx-land-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "landed-f">
    message2print = "{landed" + "; xxxxxxxx-landed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "landing-f">
    message2print = "{landing" + "; xxxxxxxx-landing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # LAUNCH, LAUNCHED, LAUNCHING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "launch-f">
    message2print = "{launch" + "; xxxxxxxx-launch-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "launched-f">
    message2print = "{launched" + "; xxxxxxxx-launched-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "launching-f">
    message2print = "{launching" + "; xxxxxxxx-launching-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # LINK, LINKED, LINKING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "link-f">
    message2print = "{link" + "; xxxxxxxx-link-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "linked-f">
    message2print = "{linked" + "; xxxxxxxx-linked-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "linking-f">
    message2print = "{linking" + "; xxxxxxxx-linking-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>    
            
    # -----------------------------------------------------------------------------------------    
    # LIST, LISTED, LISTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "list-f">
    message2print = "{list" + "; xxxxxxxx-list-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "listed-f">
    message2print = "{listed" + "; xxxxxxxx-listed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "listing-f">
    message2print = "{listing" + "; xxxxxxxx-listing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
                        
    # -----------------------------------------------------------------------------------------    
    # LOOP, LOOPED, LOOPING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "loop-f">
    message2print = "{loop" + "; xxxxxxxx-loop-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "looped-f">
    message2print = "{looped" + "; xxxxxxxx-looped-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "looping-f">
    message2print = "{looping" + "; xxxxxxxx-looping-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

#[M]-function
    # -----------------------------------------------------------------------------------------    
    # MANOEUVRE, MANOEUVRED, MANOEUVRING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "manoeuvre-f">
    message2print = "{manoeuvre" + "; xxxxxxxx-manoeuvre-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "manoeuvred-f">
    message2print = "{manoeuvred" + "; xxxxxxxx-manoeuvred-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi> 
    
    #<macro4xi macro = "manoeuvring-f">
    message2print = "{manoeuvring" + "; xxxxxxxx-manoeuvring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
           
    # -----------------------------------------------------------------------------------------    
    # MASTER, MASTERED, MASTERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "master-f">
    message2print = "{master" + "; xxxxxxxx-master-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "mastered-f">
    message2print = "{mastered" + "; xxxxxxxx-mastered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "mastering-f">
    message2print = "{mastering" + "; xxxxxxxx-mastering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # MEASURE, MEASURED, MEASURING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "measure-f">
    message2print = "{measure" + "; xxxxxxxx-measure-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "measured-f">
    message2print = "{measured" + "; xxxxxxxx-measured-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "measuring-f">
    message2print = "{measuring" + "; xxxxxxxx-measuring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
                
    # -----------------------------------------------------------------------------------------    
    # METHODIZE, METHODIZED, METHODIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "methodize-f">
    message2print = "{methodize" + "; xxxxxxxx-methodize-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "methodized-f">
    message2print = "{methodized" + "; xxxxxxxx-methodized-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "methodizing-f">
    message2print = "{methodizing" + "; xxxxxxxx-methodizing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
            
#[N]-function    
    # -----------------------------------------------------------------------------------------    
    # NET, NETTED, NETTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "net-f">
    message2print = "{net" + "; xxxxxxxx-net-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "netted-f">
    message2print = "{netted" + "; xxxxxxxx-netted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "netting-f">
    message2print = "{netting" + "; xxxxxxxx-netting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # NOTE, NOTED, NOTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "note-f">
    message2print = "{note" + "; xxxxxxxx-note-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "noted-f">
    message2print = "{noted" + "; xxxxxxxx-noted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "noting-f">
    message2print = "{noting" + "; xxxxxxxx-noting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>               

            
#[O]-function    
    # -----------------------------------------------------------------------------------------    
    # OPEN, OPENED, OPENING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "open-f">
    message2print = "{open" + "; xxxxxxxx-open-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "opened-f">
    message2print = "{opened" + "; xxxxxxxx-opened-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
           
    #<macro4xi macro = "opening-f">
    message2print = "{opening" + "; xxxxxxxx-opening-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # OPERATE, OPERATED, OPERATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "operate-f">
    message2print = "{operate" + "; xxxxxxxx-operate-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "operated-f">
    message2print = "{operated" + "; xxxxxxxx-operated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
           
    #<macro4xi macro = "operating-f">
    message2print = "{operating" + "; xxxxxxxx-operating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # ORDER, ORDERED, ORDERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "order-f">
    message2print = "{order" + "; xxxxxxxx-order-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "ordered-f">
    message2print = "{ordered" + "; xxxxxxxx-ordered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
       
    #<macro4xi macro = "ordering-f">
    message2print = "{ordering" + "; xxxxxxxx-ordering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
                       
#[P]-function
    # -----------------------------------------------------------------------------------------    
    # PARSE, PARSED, PARSING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "parse-f">
    message2print = "{parse" + "; xxxxxxxx-parse-to-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    #<macro4xi macro = "parsed-f">
    message2print = "{parsed" + "; xxxxxxxx-parsed-to-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    #<macro4xi macro = "parsing-f">
    message2print = "{parsing" + "; xxxxxxxx-parsing-to-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # PASS, PASSED, PASSING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "pass-f">
    message2print = "{pass" + "; xxxxxxxx-pass-to-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    #<macro4xi macro = "passed-f">
    message2print = "{passed" + "; xxxxxxxx-passed-to-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    #<macro4xi macro = "passing-f">
    message2print = "{passing" + "; xxxxxxxx-passing-to-zzzzzzzz-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # PERFORM, PERFORMED, PERFORMING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "perform-f">
    message2print = "{perform" + "; xxxxxxxx-perform-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "performed-f">
    message2print = "{performed" + "; xxxxxxxx-performed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "performing-f">
    message2print = "{performing" + "; xxxxxxxx-performing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    
    # -----------------------------------------------------------------------------------------    
    # PERTAIN, PERTAINED, PERTAINING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "pertain-f">
    message2print = "{pertain" + "; xxxxxxxx-pertain-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "pertained-f">
    message2print = "{pertained" + "; xxxxxxxx-pertained-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "pertaining-f">
    message2print = "{pertaining" + "; xxxxxxxx-pertaining-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # PICKLE, PICKLED, PICKLING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "pickle-f">
    message2print = "{pickle" + "; xxxxxxxx-pickle-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
      
    #<macro4xi macro = "pickled-f">
    message2print = "{pickled" + "; xxxxxxxx-pickled-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "pickling-f">
    message2print = "{pickling" + "; xxxxxxxx-pickling-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # POLL, POLLED, POLLING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "poll-f">
    message2print = "{poll" + "; xxxxxxxx-poll-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    #<macro4xi macro = "polled-f">
    message2print = "{polled" + "; xxxxxxxx-polled-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    #<macro4xi macro = "polling-f">
    message2print = "{polling" + "; xxxxxxxx-polling-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # PRINT, PRINTED, PRINTING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "print-f">
    message2print = "{print" + "; xxxxxxxx-print-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    #<macro4xi macro = "printed-f">
    message2print = "{printed" + "; xxxxxxxx-printed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    #<macro4xi macro = "printing-f">
    message2print = "{printing" + "; xxxxxxxx-printing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # PRIVATE, PRIVATED, PRIVATING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "private-f">
    message2print = "{private" + "; xxxxxxxx-private-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    #<macro4xi macro = "privated-f">
    message2print = "{privated" + "; xxxxxxxx-privated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
  
    #<macro4xi macro = "privating-f">
    message2print = "{privating" + "; xxxxxxxx-privating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
              
    # -----------------------------------------------------------------------------------------    
    # PROCESS, PROCESSED, PROCESSING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "process-f">
    message2print = "{process" + "; xxxxxxxx-process-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    #<macro4xi macro = "processed-f">
    message2print = "{processed" + "; xxxxxxxx-processed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    #<macro4xi macro = "processing-f">
    message2print = "{processing" + "; xxxxxxxx-processing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    

        
    # -----------------------------------------------------------------------------------------    
    # PROFILE, PROFILED, PROFILING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "profile-f">
    message2print = "{profile" + "; xxxxxxxx-profile-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    #<macro4xi macro = "profiled-f">
    message2print = "{profiled" + "; xxxxxxxx-profiled-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    #<macro4xi macro = "profiling-f">
    message2print = "{profiling" + "; xxxxxxxx-profiling-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
          
    # -----------------------------------------------------------------------------------------    
    # PROGRAM, PROGRAMMED, PROGRAMMING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "program-f">
    message2print = "{program" + "; xxxxxxxx-program-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    

    #<macro4xi macro = "programmed-f">
    message2print = "{programmed" + "; xxxxxxxx-programmed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    

    #<macro4xi macro = "programming-f">
    message2print = "{programming" + "; xxxxxxxx-programming-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
                     
          
    # -----------------------------------------------------------------------------------------    
    # PROTECT, PROTECTED, PROTECTING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "protect-f">
    message2print = "{protect" + "; xxxxxxxx-protect-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    

    #<macro4xi macro = "protected-f">
    message2print = "{protected" + "; xxxxxxxx-protected-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
    
    #<macro4xi macro = "protecting-f">
    message2print = "{protecting" + "; xxxxxxxx-protecting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>    
                        
    # -----------------------------------------------------------------------------------------    
    # PROXY, PROXIED, PROXYING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "proxy-f">
    message2print = "{proxy" + "; xxxxxxxx-proxy-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
    
    #<macro4xi macro = "proxied-f">
    message2print = "{proxied" + "; xxxxxxxx-proxied-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>

    #<macro4xi macro = "proxying-f">
    message2print = "{proxying" + "; xxxxxxxx-proxying-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # PUT, PUTTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "put-f">
    message2print = "{put" + "; xxxxxxxx-put-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "putting-f">
    message2print = "{putting" + "; xxxxxxxx-putting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                
    #</macro4xi>

#[Q]-function
    # -----------------------------------------------------------------------------------------    
    # QUEUE, QUEUED, QUEUING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "queue-f">
    message2print = "{queue" + "; xxxxxxxx-queue-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "queued-f">
    message2print = "{queued" + "; xxxxxxxx-queued-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "queuing-f">
    message2print = "{queuing" + "; xxxxxxxx-queuing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>    
        
    # -----------------------------------------------------------------------------------------    
    # QUIT, QUITTED, QUITTING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "quit-f">
    message2print = "{quit" + "; xxxxxxxx-quit-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "quitted-f">
    message2print = "{quitted" + "; xxxxxxxx-quitted-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "quitting-f">
    message2print = "{quitting" + "; xxxxxxxx-quitting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

#[R]-function
    # -----------------------------------------------------------------------------------------    
    # RAISE, RAISED, RAISING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "raise-f">
    message2print = "{raise" + "; xxxxxxxx-raise-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "raised-f">
    message2print = "{raised" + "; xxxxxxxx-raised-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "raising-f">
    message2print = "{raising" + "; xxxxxxxx-raising-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # READ, READING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "read-f">
    message2print = "{read" + "; xxxxxxxx-read-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "reading-f">
    message2print = "{reading" + "; xxxxxxxx-reading-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # REASON, REASONED, REASONING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "reason-f">
    message2print = "{reason" + "; xxxxxxxx-reason-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "reasoned-f">
    message2print = "{reasoned" + "; xxxxxxxx-reasoned-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "reasoning-f">
    message2print = "{reasoning" + "; xxxxxxxx-reasoning-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # RECEIVE, RECEIVED, RECEIVING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "receive-f">
    message2print = "{receive" + "; xxxxxxxx-receive-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "received-f">
    message2print = "{received" + "; xxxxxxxx-received-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "receiving-f">
    message2print = "{receiving" + "; xxxxxxxx-receiving-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # RECORD, RECORDED, RECORDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "record-f">
    message2print = "{record" + "; xxxxxxxx-record-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "recorded-f">
    message2print = "{recorded" + "; xxxxxxxx-recorded-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi> 
    
    #<macro4xi macro = "recording-f">
    message2print = "{recording" + "; xxxxxxxx-recording-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>       
    
    # -----------------------------------------------------------------------------------------    
    # REFER, REFERRED, REFERRING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "refer-f">
    message2print = "{refer" + "; xxxxxxxx-refer-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "referred-f">
    message2print = "{referred" + "; xxxxxxxx-referred-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>    
    
    #<macro4xi macro = "referring-f">
    message2print = "{referring" + "; xxxxxxxx-referring-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # REGISTER, REGISTERED, REGISTERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "register-f">
    message2print = "{register" + "; xxxxxxxx-register-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "registered-f">
    message2print = "{registered" + "; xxxxxxxx-registered-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "registering-f">
    message2print = "{registering" + "; xxxxxxxx-registering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>        
                
    # -----------------------------------------------------------------------------------------    
    # RELEASE, RELEASED, RELEASING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "release-f">
    message2print = "{release" + "; xxxxxxxx-release-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "released-f">
    message2print = "{released" + "; xxxxxxxx-released-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "releasing-f">
    message2print = "{releasing" + "; xxxxxxxx-releasing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # REMOVE, REMOVED, REMOVING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "remove-f">
    message2print = "{remove" + "; xxxxxxxx-remove-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "removed-f">
    message2print = "{removed" + "; xxxxxxxx-removed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "removing-f">
    message2print = "{removing" + "; xxxxxxxx-removing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # RENAME, RENAMED, RENAMING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "rename-f">
    message2print = "{rename" + "; xxxxxxxx-rename-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "renamed-f">
    message2print = "{renamed" + "; xxxxxxxx-renamed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "renaming-f">
    message2print = "{renaming" + "; xxxxxxxx-renaming-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # RESET, RESETTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "reset-f">
    message2print = "{reset" + "; xxxxxxxx-reset-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "resetting-f">
    message2print = "{resetting" + "; xxxxxxxx-resetting-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>    
                                    
    # -----------------------------------------------------------------------------------------    
    # RETURN, RETURNING
    # -----------------------------------------------------------------------------------------   
    # only time
    #<macro4xi macro = "return-tf">
    message2print = "{return" + "; yyyyyyyy-return: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    #<macro4xi macro = "returning-tf">
    message2print = "{returning" + "; yyyyyyyy-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    # value
    #<macro4xi macro = "return-vf">
    message2print = "{return" + "; xxxxxxxx-return-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "returning-vf">
    message2print = "{returning" + "; xxxxxxxx-returning-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
            
    # function called 
    #<macro4xi macro = "return-ff">
    message2print = "{return" + "; xxxxxxxx-function-return-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    #<macro4xi macro = "returning-ff">
    message2print = "{returning" + "; xxxxxxxx-function-returning-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    # class called     
    #<macro4xi macro = "return-cf">
    message2print = "{return" + "; YYYYYYYY-class-return-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "returning-cf">
    message2print = "{returning" + "; YYYYYYYY-class-returning-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    # a class method called     
    #<macro4xi macro = "return-mf">
    message2print = "{return" + "; zzzzzzzz-of-ZZZZZZZZ-return-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "returning-mf">
    message2print = "{returning" + "; zzzzzzzz-of-ZZZZZZZZ-returning-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
                                      
    # False
    #<macro4xi macro = "return-nf">
    message2print = "{return" + "; false-return-by-yyyyyyyy: False" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "returning-nf">
    message2print = "{returning" + "; false-returning-by-yyyyyyyy: False" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #True    
    #<macro4xi macro = "return-yf">
    message2print = "{return" + "; true-return-by-yyyyyyyy: True" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
    
    #<macro4xi macro = "returning-yf">
    message2print = "{returning" + "; true-returning-by-yyyyyyyy: True" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
    
    #Error    
    #<macro4xi macro = "return-ef">
    message2print = "{return" + "; error-return-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    #<macro4xi macro = "returning-ef">
    message2print = "{returning" + "; error-returning-by-yyyyyyyy: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
 
    # -----------------------------------------------------------------------------------------    
    # RISE, ROSE, RISING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "rise-f">
    message2print = "{rise" + "; xxxxxxxx-rise-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "rose-f">
    message2print = "{rose" + "; xxxxxxxx-rose-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>     
    
    #<macro4xi macro = "rising-f">
    message2print = "{rising" + "; xxxxxxxx-rising-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # ROTATE, ROTATED, ROTATING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "rotate-f">
    message2print = "{rotate" + "; xxxxxxxx-rotate-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "rotated-f">
    message2print = "{rotated" + "; xxxxxxxx-rotated-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>     
    
    #<macro4xi macro = "rotating-f">
    message2print = "{rotating" + "; xxxxxxxx-rotating-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # ROUND, ROUNDED, ROUNDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "round-f">
    message2print = "{round" + "; xxxxxxxx-round-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "rounded-f">
    message2print = "{rounded" + "; xxxxxxxx-rounded-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "rounding-f">
    message2print = "{rounding" + "; xxxxxxxx-rounding-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
         
    # -----------------------------------------------------------------------------------------    
    # RUN, RUNNING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "run-f">
    message2print = "{run" + "; xxxxxxxx-run-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "running-f">
    message2print = "{running" + "; xxxxxxxx-running-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                     
    #</macro4xi>

#[S]-function
    # -----------------------------------------------------------------------------------------    
    # SAVE, SAVED, SAVING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "save-f">
    message2print = "{save" + "; xxxxxxxx-save-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "saved-f">
    message2print = "{saved" + "; xxxxxxxx-saved-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "saving-f">
    message2print = "{saving" + "; xxxxxxxx-saving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # SCHEME, SCHEMED, SCHEMING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "scheme-f">
    message2print = "{scheme" + "; xxxxxxxx-scheme-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "schemed-f">
    message2print = "{schemed" + "; xxxxxxxx-schemed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "scheming-f">
    message2print = "{scheming" + "; xxxxxxxx-scheming-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    # -----------------------------------------------------------------------------------------    
    # SCOPE, SCOPED, SCOPING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "scope-f">
    message2print = "{scope" + "; xxxxxxxx-scope-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "scoped-f">
    message2print = "{scoped" + "; xxxxxxxx-scoped-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "scoping-f">
    message2print = "{scoping" + "; xxxxxxxx-scoping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
                            
    # -----------------------------------------------------------------------------------------    
    # SELECT, SELECTED, SELECTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "select-f">
    message2print = "{select" + "; xxxxxxxx-select-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "selected-f">
    message2print = "{selected" + "; xxxxxxxx-selected-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "selecting-f">
    message2print = "{selecting" + "; xxxxxxxx-selecting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
                        
 
    # -----------------------------------------------------------------------------------------    
    # SEND, SENT, SENDING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "send-f">
    message2print = "{send" + "; xxxxxxxx-send-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    #<macro4xi macro = "sent-f">
    message2print = "{sent" + "; xxxxxxxx-sent-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>

    #<macro4xi macro = "sending-f">
    message2print = "{sending" + "; xxxxxxxx-sending-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

                                    
    # -----------------------------------------------------------------------------------------    
    # SENSE, SENSED, SENSING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "sense-f">
    message2print = "{sense" + "; xxxxxxxx-sense-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "sensed-f">
    message2print = "{sensed" + "; xxxxxxxx-sensed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "sensin-f">
    message2print = "{sensing" + "; xxxxxxxx-sensing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
  
    # -----------------------------------------------------------------------------------------    
    # SERVE, SERVED, SERVING 
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "serve-f">
    message2print = "{serve" + "; xxxxxxxx-serve-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>
    
    #<macro4xi macro = "served-f">
    message2print = "{served" + "; xxxxxxxx-served-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    #</macro4xi>

    #<macro4xi macro = "serving-f">
    message2print = "{serving" + "; xxxxxxxx-serving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
     
    # -----------------------------------------------------------------------------------------    
    # SET, SETTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "set-f">
    message2print = "{set" + "; xxxxxxxx-set-by-yyyyyyyy to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>

    #<macro4xi macro = "setting-f">
    message2print = "{setting" + "; xxxxxxxx-setting-by-yyyyyyyy to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # SHARE, SHARED, SHARING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "share-f">
    message2print = "{share" + "; xxxxxxxx-share-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "shared-f">
    message2print = "{shared" + "; xxxxxxxx-shared-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "sharing-f">
    message2print = "{sharing" + "; xxxxxxxx-sharing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
                                                                                
    # -----------------------------------------------------------------------------------------    
    # SHOW, SHOWED, SHOWING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "show-f">
    message2print = "{show" + "; xxxxxxxx-show-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "showed-f">
    message2print = "{showed" + "; xxxxxxxx-showed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "showing-f">
    message2print = "{showing" + "; xxxxxxxx-showing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # SKELETONIZE, SKELETONIZED, SKELETONIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "skeletonize-f">
    message2print = "{skeletonize" + "; xxxxxxxx-skeletonize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "skeletonized-f">
    message2print = "{skeletonized" + "; xxxxxxxx-skeletonized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "skeletonizing-f">
    message2print = "{skeletonizing" + "; xxxxxxxx-skeletonizing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
         
    # -----------------------------------------------------------------------------------------    
    # SKIP, SKIPPED, SKIPPING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "skip-f">
    message2print = "{skip" + "; xxxxxxxx-skip-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
    
    #<macro4xi macro = "skipped-f">
    message2print = "{skipped" + "; xxxxxxxx-skipped-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "skipping-f">
    message2print = "{skipping" + "; xxxxxxxx-skipping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # SLEEP, SLEPT, SLEEPING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "sleep-f">
    message2print = "{sleep" + "; xxxxxxxx-sleep-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>

    #<macro4xi macro = "slept-f">
    message2print = "{slept" + "; xxxxxxxx-slept-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
     
    #<macro4xi macro = "sleeping-f">
    message2print = "{sleeping" + "; xxxxxxxx-sleeping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                      
    #</macro4xi>
             
                         
    # -----------------------------------------------------------------------------------------    
    # SORT, SORTED, SORTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "sort-f">
    message2print = "{sort" + "; xxxxxxxx-sort-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    #<macro4xi macro = "sorted-f">
    message2print = "{sorted" + "; xxxxxxxx-sorted-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>

    #<macro4xi macro = "sorting-f">
    message2print = "{sorting" + "; xxxxxxxx-sorting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # SPAWN, SPAWNED, SPAWNING 
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "spawn-f">
    message2print = "{spawn" + "; xxxxxxxx-spawn-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
    
    #<macro4xi macro = "spawned-f">
    message2print = "{spawned" + "; xxxxxxxx-spawned-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>

    #<macro4xi macro = "spawning-f">
    message2print = "{spawning" + "; xxxxxxxx-spawning-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                               
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # SPECIALIZE, SPECIALIZED, SPECIALIZING 
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "specialize-f">
    message2print = "{specialize" + "; xxxxxxxx-specialize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
    
    #<macro4xi macro = "specialized-f">
    message2print = "{specialized" + "; xxxxxxxx-specialized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
    
    #<macro4xi macro = "specializing-f">
    message2print = "{specializing" + "; xxxxxxxx-specializing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
                 
    # -----------------------------------------------------------------------------------------    
    # STANDARDIZE, STANDARDIZED, STANDARDIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "standardize-f">
    message2print = "{standardize" + "; xxxxxxxx-standardize: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    #<macro4xi macro = "standardized-f">
    message2print = "{standardized" + "; xxxxxxxx-standardized: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    #<macro4xi macro = "standardizing-f">
    message2print = "{standardizing" + "; xxxxxxxx-standardizing: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
                  
    # -----------------------------------------------------------------------------------------    
    # START, STARTED, STARTING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "start-f">
    message2print = "{start" + "; xxxxxxxx-start: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>
    
    #<macro4xi macro = "started-f">
    message2print = "{started" + "; xxxxxxxx-started: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    #</macro4xi>

    #<macro4xi macro = "starting-f">
    message2print = "{starting" + "; xxxxxxxx-starting: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
           
    # -----------------------------------------------------------------------------------------    
    # STATE, STATED, STATING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "state-f">
    message2print = "{state" + "; xxxxxxxx-state-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "stated-f">
    message2print = "{stated" + "; xxxxxxxx-stated-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "stating-f">
    message2print = "{stating" + "; xxxxxxxx-stating-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)               
    #</macro4xi>
           
    # -----------------------------------------------------------------------------------------    
    # STEP, STEPPED, STEPPING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "step-f">
    message2print = "{(Step 1/X) step" + "; (Step 1/X)-step-by-yyyyyyyy: " + "~  ~" + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "stepped-f">
    message2print = "{(Step 1/X) stepped" + "; (Step 1/X)-stepped-by-yyyyyyyy: " + "~  ~"  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "stepping-f">
    message2print = "{(Step 1/X) stepping" + "; (Step 1/X)-stepping-by-yyyyyyyy: " + "~  ~"  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # SUPER, SUPERRED, SUPERING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "super-f">
    message2print = "{super" + "; xxxxxxxx-super-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "superred-f">
    message2print = "{superred" + "; xxxxxxxx-superred-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "supering-f">
    message2print = "{supering" + "; xxxxxxxx-supering-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
                               
    # -----------------------------------------------------------------------------------------    
    # SYMBOLIZE, SYMBOLIZED, SYMBOLIZING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "symbolize-f">
    message2print = "{symbolize" + "; xxxxxxxx-symbolize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "symbolized-f">
    message2print = "{symbolized" + "; xxxxxxxx-symbolized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "symbolizing-f">
    message2print = "{symbolizing" + "; xxxxxxxx-symbolizing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>    
  
                                       
    # -----------------------------------------------------------------------------------------    
    # SYNOPSIZE, SYNOPSIZED, SYNOPSIZING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "synopsize-f">
    message2print = "{synopsize" + "; xxxxxxxx-synopsize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "synopsized-f">
    message2print = "{synopsized" + "; xxxxxxxx-synopsized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "synopsizing-f">
    message2print = "{synopsizing" + "; xxxxxxxx-synopsizing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>    
        
    
#[T]-function
    # -----------------------------------------------------------------------------------------    
    # TAG, TAGGED, TAGGING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "tag-f">
    message2print = "{tag" + "; xxxxxxxx-tag-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "tagged-f">
    message2print = "{tagged" + "; xxxxxxxx-tagged-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "tagging-f">
    message2print = "{tagging" + "; xxxxxxxx-tagging-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
       
    # -----------------------------------------------------------------------------------------    
    # TAKE-INTO-ACCOUNT, TOOK-INTO-ACCOUNT, TAKING-INTO-ACCOUNT, TAKEN-INTO-ACCOUNT
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "take-into-account-f">
    message2print = "{take-into-account" + "; xxxxxxxx-take-into-account-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "took-into-account-f">
    message2print = "{took-into-account" + "; xxxxxxxx-took-into-account-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "taking-into-account-f">
    message2print = "{taking-into-account" + "; xxxxxxxx-taking-into-account-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
    
    #<macro4xi macro = "taken-into-account-f">
    message2print = "{taken-into-account" + "; xxxxxxxx-taken-into-account-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
              
    # -----------------------------------------------------------------------------------------    
    # TAKE-OFF, TOOK-OFF, TAKING-OFF, TAKEN-OFF
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "take-off-f">
    message2print = "{take-off" + "; xxxxxxxx-take-off-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "took-off-f">
    message2print = "{took-off" + "; xxxxxxxx-took-off-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "taking-off-f">
    message2print = "{taking-off" + "; xxxxxxxx-taking-off-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "taken-off-f">
    message2print = "{taken-off" + "; xxxxxxxx-taken-off-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # TERMINATE, TERMINATED, TERMINATING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "terminate-f">
    message2print = "{terminate" + "; xxxxxxxx-terminate-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    #<macro4xi macro = "terminated-f">
    message2print = "{terminated" + "; xxxxxxxx-terminated-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

    #<macro4xi macro = "terminating-f">
    message2print = "{terminating" + "; xxxxxxxx-terminating-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # TEST, TESTED, TESTING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "test-f">
    message2print = "{test" + "; xxxxxxxx-test-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    #<macro4xi macro = "tested-f">
    message2print = "{tested" + "; xxxxxxxx-tested-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>

    #<macro4xi macro = "testing-f">
    message2print = "{testing" + "; xxxxxxxx-testing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # TELL, TOLD, TELLING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "tell-f">
    message2print = "{tell" + "; xxxxxxxx-tell-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>
    
    #<macro4xi macro = "told-f">
    message2print = "{told" + "; xxxxxxxx-told-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>

    #<macro4xi macro = "telling-f">
    message2print = "{telling" + "; xxxxxxxx-telling-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # TIME, TIMEED, TIMEING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "time-f">
    message2print = "{time" + "; xxxxxxxx-time-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "timed-f">
    message2print = "{timed" + "; xxxxxxxx-timed-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "timing-f">
    message2print = "{timing" + "; xxxxxxxx-timing-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
                
    # -----------------------------------------------------------------------------------------    
    # TRY, TRIED, TRYING
    # -----------------------------------------------------------------------------------------
    #<macro4xi macro = "try-f">
    message2print = "{try" + "; xxxxxxxx-try-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>
    
    #<macro4xi macro = "tried-f">
    message2print = "{tried" + "; xxxxxxxx-tried-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    #</macro4xi>

    #<macro4xi macro = "trying-f">
    message2print = "{trying" + "; xxxxxxxx-trying-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # TUNE, TUNED, TUNING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "tune-f">
    message2print = "{tune" + "; xxxxxxxx-tune-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "tuned-f">
    message2print = "{tuned" + "; xxxxxxxx-tuned-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi> 
               
    #<macro4xi macro = "tuning-f">
    message2print = "{tuning" + "; xxxxxxxx-tuning-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # TYPE, TYPED, TYPING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "type-f">
    message2print = "{type" + "; xxxxxxxx-type-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "typed-f">
    message2print = "{typed" + "; xxxxxxxx-typed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "typing-f">
    message2print = "{typing" + "; xxxxxxxx-typing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

#[U]-function
    # -----------------------------------------------------------------------------------------    
    # UNION, UNIONED, UNIONING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "union-f">
    message2print = "{union" + "; xxxxxxxx-union-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "unioned-f">
    message2print = "{unioned" + "; xxxxxxxx-unioned-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "unioning-f">
    message2print = "{unioning" + "; xxxxxxxx-unioning-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # UNRESOLVE, UNRESOLVED, UNRESOLVING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "unresolve-f">
    message2print = "{unresolve" + "; xxxxxxxx-unresolve-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "unresolved-f">
    message2print = "{unresolved" + "; xxxxxxxx-unresolved-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "unresolving-f">
    message2print = "{unresolving" + "; xxxxxxxx-unresolving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # UPGRADE, UPGRADED, UPGRADING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "upgrade-f">
    message2print = "{upgrade" + "; xxxxxxxx-upgrade-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "upgraded-f">
    message2print = "{upgraded" + "; xxxxxxxx-upgraded-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "upgrading-f">
    message2print = "{upgrading" + "; xxxxxxxx-upgrading-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # USE, USED, USING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "use-f">
    message2print = "{use" + "; xxxxxxxx-use-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "used-f">
    message2print = "{used" + "; xxxxxxxx-used-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "using-f">
    message2print = "{using" + "; xxxxxxxx-using-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    #</macro4xi>

#[V]-function
    
    # -----------------------------------------------------------------------------------------    
    # VARY, VARIED, VARYING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "vary-f">
    message2print = "{vary" + "; xxxxxxxx-vary-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "varied-f">
    message2print = "{varied" + "; xxxxxxxx-varied-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "varying-f">
    message2print = "{varying" + "; xxxxxxxx-varying-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                        
    # -----------------------------------------------------------------------------------------    
    # VENTURE, VENTURED, VENTURING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "venture-f">
    message2print = "{venture" + "; xxxxxxxx-venture-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "ventured-f">
    message2print = "{ventured" + "; xxxxxxxx-ventured-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "venturing-f">
    message2print = "{venturing" + "; xxxxxxxx-venturing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # VERBALIZE, VERBALIZED, VERBALIZING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "verbalize-f">
    message2print = "{verbalize" + "; xxxxxxxx-verbalize-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verbalized-f">
    message2print = "{verbalized" + "; xxxxxxxx-verbalized-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verbalizing-f">
    message2print = "{verbalizing" + "; xxxxxxxx-verbalizing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>            
    
    # -----------------------------------------------------------------------------------------    
    # VERGE, VERGED, VERGING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "verge-f">
    message2print = "{verge" + "; xxxxxxxx-verge-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verged-f">
    message2print = "{verged" + "; xxxxxxxx-verged-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verging-f">
    message2print = "{verging" + "; xxxxxxxx-verging-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                    
    # -----------------------------------------------------------------------------------------    
    # VERIFY, VERIFIED, VERIFYING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "verify-f">
    message2print = "{verify" + "; xxxxxxxx-verify-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verified-f">
    message2print = "{verified" + "; xxxxxxxx-verified-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "verifying-f">
    message2print = "{verifying" + "; xxxxxxxx-verifying-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # VIEW, VIEWED, VIEWING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "view-f">
    message2print = "{view" + "; xxxxxxxx-view-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "viewed-f">
    message2print = "{viewed" + "; xxxxxxxx-viewed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "viewing-f">
    message2print = "{viewing" + "; xxxxxxxx-viewing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # VISIT, VISITED, VISITING    
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "visit-f">
    message2print = "{visit" + "; xxxxxxxx-visit-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "visited-f">
    message2print = "{visited" + "; xxxxxxxx-visited-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "visiting-f">
    message2print = "{visiting" + "; xxxxxxxx-visiting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # VOTE, VOTED, VOTING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "vote-f">
    message2print = "{vote" + "; xxxxxxxx-vote-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "voted-f">
    message2print = "{voted" + "; xxxxxxxx-voted-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "voting-f">
    message2print = "{voting" + "; xxxxxxxx-voting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                                                            
#[X]-function
    # -----------------------------------------------------------------------------------------    
    # XRAY, XRAYED, XRAYING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "xray-f">
    message2print = "{xray" + "; xxxxxxxx-xray-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "xrayed-f">
    message2print = "{xrayed" + "; xxxxxxxx-xrayed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "xraying-f">
    message2print = "{xraying" + "; xxxxxxxx-xraying-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

#[Y]-function
    # -----------------------------------------------------------------------------------------    
    # YEARN, YEARNED, YEARNING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "yearn-f">
    message2print = "{yearn" + "; xxxxxxxx-yearn-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "yearned-f">
    message2print = "{yearned" + "; xxxxxxxx-yearned-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "yearning-f">
    message2print = "{yearning" + "; xxxxxxxx-yearning-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # YIELD, YIELDED, YIELDING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "yield-f">
    message2print = "{yield" + "; xxxxxxxx-yield-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "yielded-f">
    message2print = "{yielded" + "; xxxxxxxx-yielded-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "yielding-f">
    message2print = "{yielding" + "; xxxxxxxx-yielding-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
    #</macro4xi>

#[Z]-function
    # -----------------------------------------------------------------------------------------    
    # ZAP, ZAPPED, ZAPPING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "zap-f">
    message2print = "{zap" + "; xxxxxxxx-zap-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zapped-f">
    message2print = "{zapped" + "; xxxxxxxx-zapped-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zapping-f">
    message2print = "{zapping" + "; xxxxxxxx-zapping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
            
    # -----------------------------------------------------------------------------------------    
    # ZERO, ZEROED, ZEROING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "zero-f">
    message2print = "{zero" + "; xxxxxxxx-zero-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zeroed-f">
    message2print = "{zeroed" + "; xxxxxxxx-zeroed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "zeroing-f">
    message2print = "{zeroing" + "; xxxxxxxx-zeroing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # ZIP, ZIPPED, ZIPPING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "zip-f">
    message2print = "{zip" + "; xxxxxxxx-zip-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zipped-f">
    message2print = "{zipped" + "; xxxxxxxx-zipped-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zipping-f">
    message2print = "{zipping" + "; xxxxxxxx-zipping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # ZONE, ZONED, ZONING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "zone-f">
    message2print = "{zone" + "; xxxxxxxx-zone-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zoned-f">
    message2print = "{zoned" + "; xxxxxxxx-zoned-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "zoning-f">
    message2print = "{zoning" + "; xxxxxxxx-zoning-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                                                                     
#[W]-function
    # -----------------------------------------------------------------------------------------    
    # WAIT, WAITED, WAITING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wait-f">
    message2print = "{wait" + "; xxxxxxxx-wait-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "waited-f">
    message2print = "{waited" + "; xxxxxxxx-waited-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "waiting-f">
    message2print = "{waiting" + "; xxxxxxxx-waiting-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    #</macro4xi>
        
    # -----------------------------------------------------------------------------------------    
    # WAIVE, WAIVED, WAIVING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "waive-f">
    message2print = "{waive" + "; xxxxxxxx-waive-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
        
    #<macro4xi macro = "waived-f">
    message2print = "{waived" + "; xxxxxxxx-waived-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
        
    #<macro4xi macro = "waiving-f">
    message2print = "{waiving" + "; xxxxxxxx-waiving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WAKE, WOKE, WAKING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wake-f">
    message2print = "{wake" + "; xxxxxxxx-wake-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "woke-f">
    message2print = "{woke" + "; xxxxxxxx-woke-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "waking-f">
    message2print = "{waking" + "; xxxxxxxx-waking-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WALK, WALKED, WALKING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "walk-f">
    message2print = "{walk" + "; xxxxxxxx-walk-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "walked-f">
    message2print = "{walked" + "; xxxxxxxx-walked-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>                                 
    
    #<macro4xi macro = "walking-f">
    message2print = "{walking" + "; xxxxxxxx-walking-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>                                 
        
    # -----------------------------------------------------------------------------------------    
    # WANDER, WANDERED, WANDERING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wander-f">
    message2print = "{wander" + "; xxxxxxxx-wander-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wandered-f">
    message2print = "{wandered" + "; xxxxxxxx-wandered-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wandering-f">
    message2print = "{wandering" + "; xxxxxxxx-wandering-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                  
    # -----------------------------------------------------------------------------------------    
    # WANT, WANTED, WANTING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "want-f">
    message2print = "{want" + "; xxxxxxxx-want-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wanted-f">
    message2print = "{wanted" + "; xxxxxxxx-wanted-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wanting-f">
    message2print = "{wanting" + "; xxxxxxxx-wanting-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
        
                          
    # -----------------------------------------------------------------------------------------    
    # WARP, WARPED, WARPING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "warp-f">
    message2print = "{warp" + "; xxxxxxxx-warp-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "warped-f">
    message2print = "{warped" + "; xxxxxxxx-warped-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "warping-f">
    message2print = "{warping" + "; xxxxxxxx-warping-by-yyyyyyyy: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                     
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WAKE, WOKE, WAKING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wake-f">
    message2print = "{wake" + "; xxxxxxxx-wake-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "woke-f">
    message2print = "{woke" + "; xxxxxxxx-woke-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

    #<macro4xi macro = "waking-f">
    message2print = "{waking" + "; xxxxxxxx-waking-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    #</macro4xi>
    
    
    # -----------------------------------------------------------------------------------------    
    # WASH, WASHED, WASHING  
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wash-f">
    message2print = "{wash" + "; xxxxxxxx-wash-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "washed-f">
    message2print = "{washed" + "; xxxxxxxx-washed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>        
    
    #<macro4xi macro = "washing-f">
    message2print = "{washing" + "; xxxxxxxx-washing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>    
    
    # -----------------------------------------------------------------------------------------    
    # WATCH, WATCHED, WATCHING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "watch-f">
    message2print = "{watch" + "; xxxxxxxx-watch-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "watched-f">
    message2print = "{watched" + "; xxxxxxxx-watched-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "watching-f">
    message2print = "{watching" + "; xxxxxxxx-watching-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WAVE, WAVED, WAVING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wave-f">
    message2print = "{wave" + "; xxxxxxxx-wave-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "waved-f">
    message2print = "{waved" + "; xxxxxxxx-waved-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>        
    
    #<macro4xi macro = "waving-f">
    message2print = "{waving" + "; xxxxxxxx-waving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WEAVE, WEAVED, WEAVING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "weave-f">
    message2print = "{weave" + "; xxxxxxxx-weave-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "weaved-f">
    message2print = "{weaved" + "; xxxxxxxx-weaved-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "weaving-f">
    message2print = "{weaving" + "; xxxxxxxx-weaving-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WEB, WEBBED, WEBBING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "web-f">
    message2print = "{web" + "; xxxxxxxx-web-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "webbed-f">
    message2print = "{webbed" + "; xxxxxxxx-webbed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "webbing-f">
    message2print = "{webbing" + "; xxxxxxxx-webbing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WEIGH, WEIGHED, WEIGHING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "weigh-f">
    message2print = "{weigh" + "; xxxxxxxx-weigh-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "weighed-f">
    message2print = "{weighed" + "; xxxxxxxx-weighed-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "weighing-f">
    message2print = "{weighing" + "; xxxxxxxx-weighing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WIND, WINDED, WINDING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wind-f">
    message2print = "{wind" + "; xxxxxxxx-wind-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "winded-f">
    message2print = "{winded" + "; xxxxxxxx-winded-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "winding-f">
    message2print = "{winding" + "; xxxxxxxx-winding-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WING, WINGED, WINGING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wing-f">
    message2print = "{wing" + "; xxxxxxxx-wing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "winged-f">
    message2print = "{winged" + "; xxxxxxxx-winged-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "winging-f">
    message2print = "{winging" + "; xxxxxxxx-winging-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WIRE, WIRED, WIRING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wire-f">
    message2print = "{wire" + "; xxxxxxxx-wire-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wired-f">
    message2print = "{wired" + "; xxxxxxxx-wired-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wiring-f">
    message2print = "{wiring" + "; xxxxxxxx-wiring-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WISE, WISED, WISING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wise-f">
    message2print = "{wise" + "; xxxxxxxx-wise-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wised-f">
    message2print = "{wised" + "; xxxxxxxx-wised-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wising-f">
    message2print = "{wising" + "; xxxxxxxx-wising-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WONDER, WONDERED, WONDERING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wonder-f">
    message2print = "{wonder" + "; xxxxxxxx-wonder-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wondered-f">
    message2print = "{wondered" + "; xxxxxxxx-wondered-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wondering-f">
    message2print = "{wondering" + "; xxxxxxxx-wondering-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    # -----------------------------------------------------------------------------------------    
    # WRAP, WRAPPED, WRAPPING   
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "wrap-f">
    message2print = "{wrap" + "; xxxxxxxx-wrap-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wrapped-f">
    message2print = "{wrapped" + "; xxxxxxxx-wrapped-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
    
    #<macro4xi macro = "wrapping-f">
    message2print = "{wrapping" + "; xxxxxxxx-wrapping-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
                                                                                                                                                                                                                                          
    # -----------------------------------------------------------------------------------------    
    # WRITE, WROTE, WRITING
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "write-f">
    message2print = "{write" + "; xxxxxxxx-write-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
       
    #<macro4xi macro = "wrote-f">
    message2print = "{wrote" + "; xxxxxxxx-wrote-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>
       
    #<macro4xi macro = "writing-f">
    message2print = "{writing" + "; xxxxxxxx-writing-by-yyyyyyyy: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    #</macro4xi>

                                                                     
#[_]-function    
    # -----------------------------------------------------------------------------------------    
    # _PERTAIN, _PERTAINED, _PERTAINING 
    # -----------------------------------------------------------------------------------------   
    #<macro4xi macro = "_pertain-f">
    message2print = "{_pertain" + "; xxxxxxxx-pertain-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>
    
    #<macro4xi macro = "_pertained-f">
    message2print = "{_pertained" + "; xxxxxxxx-pertained-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
    #</macro4xi>

    #<macro4xi macro = "_pertaining-f">
    message2print = "{_pertaining" + "; xxxxxxxx-pertaining-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>  
    
    # -----------------------------------------------------------------------------------------    
    # _PRIVATE, _PRIVATED, _PRIVATING
    # ----------------------------------------------------------------------------------------- 
    #<macro4xi macro = "private-f">
    message2print = "{_private" + "; xxxxxxxx-private-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>

    #<macro4xi macro = "privated-f">
    message2print = "{_privated" + "; xxxxxxxx-privated-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
  
    #<macro4xi macro = "privating-f">
    message2print = "{_privating" + "; xxxxxxxx-privating-by-yyyyyyyy: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #</macro4xi>
                         
                  
    # -------------------------------------------------------------------------------------    
    #
    # -------------------------------------------------------------------------------------         

        # ---------------------------------------------------------------------------------    
        #
        # --------------------------------------------------------------------------------- 
            # -----------------------------------------------------------------------------    
            #
    
            # ----------------------------------------------------------------------------- 
    
    # -----------------------------------------------------------------------------------------    
    # ending as others would do it; remember that is a program !
    # -----------------------------------------------------------------------------------------                 
    
    message2print = "{returning" + "; skeleton_print4xi.py-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)    
#</function4xi>     
     
# =================================================================================================
#<class4xi class = "SkeletonPrint4Xi" base = "object" child = "None" synopsis = "
#   Skeletons for classes                              
#">
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class SkeletonPrint4Xi(object):
    '''
    SkeletonPrint4Xi class defines skeletons for dragonized classes
    '''
    #<expose4xi expose = "exposed-of-SkeletonPrint4Xi">
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    _exposed_ = ('sense', 'reason', 'ace')          
    #</expose4xi>
    
    
    #<methodize4xi method = "init-of-SkeletonPrint4Xi" usage = "initializes SkeletonPrint4Xi">
    # ---------------------------------------------------------------------------------------------
    # __init__                              
    # ---------------------------------------------------------------------------------------------
    
    def __init__(self, parameter1='default-param1', 
                       parameter2='default-param2', 
                       parameter3='default-param3', 
                       parameter4='default-param4', 
                       parameter5='default-param5', 
                       parameter6='default-param6', 
                       parameter7='default-param7', 
                       parameter8='default-param8'):
        global XXXXXXXX
        global xxxxxxxx
        global objectXXXXXXXX
        
        global yyyyyyyy
        global YYYYYYYY
        
        global zzzzzzzz
        global ZZZZZZZZ   
        
        # -----------------------------------------------------------------------------------------    
        # Start as others would do - this is a program itself- do NOT copy paste this !
        # -----------------------------------------------------------------------------------------  
        class2print = "SkeletonPrint4Xi"
        method2print = "__init__"
     
        message2print = "{started" + "; init-of-SkeletonPrint4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        
        message2print = "{passed" + "; parameter1-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter2-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter2) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter3-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter3) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter4-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter4) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter5-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter5) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter6-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter6) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter7-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter7) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        message2print = "{passed" + "; parameter8-passed-to-init-of-SkeletonPrint4Xi: " + str(parameter8) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        
        message2print = "{borning" + "; skeletonprint2xi-of-SkeletonPrint4Xi-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
                
        
        # -----------------------------------------------------------------------------------------    
        # frame for using either multiprocessing or dragonized multiprocessing4xi
        # -----------------------------------------------------------------------------------------          
        

        if examine4xi(class2print, method2print):
            # -------------------------------------------------------------------------------------    
            # StepOriginal
            # -------------------------------------------------------------------------------------             
            pass    
            
        else:
            pass       
            

        
        # -----------------------------------------------------------------------------------------    
        # Messages for CLASSES - these are NOT compatible with those of function haveing of-class
        # -----------------------------------------------------------------------------------------  



#[A]-Class
        # -----------------------------------------------------------------------------------------    
        # ABBREVIATE, ABBREVIATED, ABBREVIATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "abbreviate-c">
        message2print = "{abbreviate" + "; xxxxxxxx-abbreviate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        #<macro4xi macro = "abbreviated-c">
        message2print = "{abbreviated" + "; xxxxxxxx-abbreviated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        #<macro4xi macro = "abbreviating-c">
        message2print = "{abbreviating" + "; xxxxxxxx-abbreviating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # ABSTRACT, ABSTRACTED, ABSTRACTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "abstract-c">
        message2print = "{abstract" + "; xxxxxxxx-abstract-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "abstracted-c">
        message2print = "{abstracted" + "; xxxxxxxx-abstracted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "abstracting-c">
        message2print = "{abstracting" + "; xxxxxxxx-abstracting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>        
        
        # -----------------------------------------------------------------------------------------    
        # ACCEPT, ACCEPTED, ACCEPTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "accept-c">
        message2print = "{accept" + "; xxxxxxxx-accept-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "accepted-c">
        message2print = "{accepted" + "; xxxxxxxx-accepted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "accepting-c">
        message2print = "{accepting" + "; xxxxxxxx-accepting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>                
    
        # -----------------------------------------------------------------------------------------    
        # ACE, ACED, ACING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "ace-c">
        message2print = "{ace" + "; xxxxxxxx-ace-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "aced-c">
        message2print = "{aced" + "; xxxxxxxx-aced-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "acing-c">
        message2print = "{acing" + "; xxxxxxxx-acing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # ACQUIRE, ACQUIRED, ACQUIRING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "acquire-c">
        message2print = "{acquire" + "; xxxxxxxx-acquire-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "acquired-c">
        message2print = "{acquired" + "; xxxxxxxx-acquired-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "acquiring-c">
        message2print = "{acquiring" + "; xxxxxxxx-acquiring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # ACT, ACTED, ACTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "act-c">
        message2print = "{act" + "; xxxxxxxx-act-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "acted-c">
        message2print = "{acted" + "; xxxxxxxx-acted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "acting-c">
        message2print = "{acting" + "; xxxxxxxx-acting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # ACTIVATE, ACTIVATED, ACTIVATING - note: method is assumed to be __init__
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "activate-c">
        message2print = "{activate" + "; zzzzzzzz-of-ZZZZZZZZ-activate: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "activated-c">
        message2print = "{activated" + "; zzzzzzzz-of-ZZZZZZZZ-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "activating-c">
        message2print = "{activating" + "; zzzzzzzz-of-ZZZZZZZZ-activating: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
             
        # -----------------------------------------------------------------------------------------    
        # ACKNOWLEDGE, ACKNOWLEDGED, ACKNOWLEDGING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "acknowledge-c">
        message2print = "{acknowledge" + "; xxxxxxxx-acknowledge-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "acknowledged-c">
        message2print = "{acknowledged" + "; xxxxxxxx-acknowledged-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "acknowledging-c">
        message2print = "{acknowledging" + "; xxxxxxxx-acknowledging-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # ADD, ADDED, ADDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "add-c">
        message2print = "{add" + "; xxxxxxxx-add-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "added-c">
        message2print = "{added" + "; xxxxxxxx-added-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "adding-c">
        message2print = "{adding" + "; xxxxxxxx-adding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                          
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # ANALYZE, ANALYZED, ANALYZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "analyze-c">
        message2print = "{analyze" + "; xxxxxxxx-analyze-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "analyzed-c">
        message2print = "{analyzed" + "; xxxxxxxx-analyzed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "analyzing-c">
        message2print = "{analyzing" + "; xxxxxxxx-analyzing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # APPEND, APPENDED, APPENDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "append-c">
        message2print = "{append" + "; xxxxxxxx-append-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "appended-c">
        message2print = "{appended" + "; xxxxxxxx-appended-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "appending-c">
        message2print = "{appending" + "; xxxxxxxx-appending-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # ASSERT, ASSERTED, ASSERTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "assert-c">
        message2print = "{assert" + "; xxxxxxxx-assert-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "asserted-c">
        message2print = "{asserted" + "; xxxxxxxx-asserted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "asserting-c">
        message2print = "{asserting" + "; xxxxxxxx-asserting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
    
#[B]-Class
        # -----------------------------------------------------------------------------------------    
        # BORN, BORNING - notes: method is assumed to be __init__ and therefore -by- is missing
        # -----------------------------------------------------------------------------------------    
        #<macro4xi macro = "born-c">
        message2print = "{born" + "; zzzzzzzz-of-ZZZZZZZZ-born: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>
        
        #<macro4xi macro = "borning-c">
        message2print = "{borning" + "; zzzzzzzz-of-ZZZZZZZZ-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>

        # -----------------------------------------------------------------------------------------    
        # BREAK, BROKE, BREAKING
        # -----------------------------------------------------------------------------------------    
        #<macro4xi macro = "break-c">
        message2print = "{break" + "; xxxxxxxx-break-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "broke-c">
        message2print = "{broke" + "; xxxxxxxx-broke-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "breaking-c">
        message2print = "{breaking" + "; xxxxxxxx-breaking-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
                   
        # -----------------------------------------------------------------------------------------    
        # BUILD, BUILT, BUILDING
        # -----------------------------------------------------------------------------------------    
        #<macro4xi macro = "build-c">
        message2print = "{build" + "; xxxxxxxx-build-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "built-c">
        message2print = "{built" + "; xxxxxxxx-built-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "building-c">
        message2print = "{building" + "; xxxxxxxx-building-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
        #</macro4xi>
    
#[C]-Class
        # -----------------------------------------------------------------------------------------    
        # CALCULATE, CALCULATED, CALCULATING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "calculate-c">
        message2print = "{calculate" + "; xxxxxxxx-calculate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "calculated-c">
        message2print = "{calculated" + "; xxxxxxxx-calculated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "calculating-c">
        message2print = "{calculating" + "; xxxxxxxx-calculating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
                 
        # -----------------------------------------------------------------------------------------    
        # CALL, CALLED, CALLING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "call-c">
        message2print = "{call" + "; xxxxxxxx-call-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "called-c">
        message2print = "{called" + "; xxxxxxxx-called-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "calling-c">
        message2print = "{calling" + "; xxxxxxxx-calling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # CAST, CASTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "cast-c">
        message2print = "{cast" + "; xxxxxxxx-cast-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "casting-c">
        message2print = "{casting" + "; xxxxxxxx-casting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
               
        # -----------------------------------------------------------------------------------------    
        # CHECK, CHECKED, CHECKING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "check-c">
        message2print = "{check" + "; xxxxxxxx-check-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        
        #<macro4xi macro = "checked-c">
        message2print = "{checked" + "; xxxxxxxx-checked-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>

        #<macro4xi macro = "checking-c">
        message2print = "{checking" + "; xxxxxxxx-checking-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # CLASS, CLASSED, CLASSING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "class-c">
        message2print = "{class" + "; xxxxxxxx-class-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>        
        
        #<macro4xi macro = "classed-c">
        message2print = "{classed" + "; xxxxxxxx-classed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>                
        
        #<macro4xi macro = "classing-c">
        message2print = "{classing" + "; xxxxxxxx-classing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>                
        
        # -----------------------------------------------------------------------------------------    
        # CLEAR, CLEARED, CLEARING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "clear-c">
        message2print = "{clear" + "; xxxxxxxx-clear-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        
        #<macro4xi macro = "cleared-c">
        message2print = "{cleared" + "; xxxxxxxx-cleared-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>

        #<macro4xi macro = "clearing-c">
        message2print = "{clearing" + "; xxxxxxxx-clearing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # CLOSE, CLOSED, CLOSING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "close-c">
        message2print = "{close" + "; xxxxxxxx-close-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        
        #<macro4xi macro = "closed-c">
        message2print = "{closed" + "; xxxxxxxx-closed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>

        #<macro4xi macro = "closing-c">
        message2print = "{closing" + "; xxxxxxxx-closing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # CLUSTER, CLUSTERED, CLUSTERING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "cluster-c">
        message2print = "{cluster" + "; xxxxxxxx-cluster-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        
        #<macro4xi macro = "clustered-c">
        message2print = "{clustered" + "; xxxxxxxx-clustered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
    
        #<macro4xi macro = "clustering-c">
        message2print = "{clustering" + "; xxxxxxxx-clustering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # COLOR, COLORED, COLORING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "color-c">
        message2print = "{color" + "; xxxxxxxx-color-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "colored-c">
        message2print = "{colored" + "; xxxxxxxx-colored-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "coloring-c">
        message2print = "{coloring" + "; xxxxxxxx-coloring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
                                             
        # -----------------------------------------------------------------------------------------    
        # COMMAND, COMMANDED, COMMANDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "command-c">
        message2print = "{command" + "; xxxxxxxx-command-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "commanded-c">
        message2print = "{commanded" + "; xxxxxxxx-commanded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "commanding-c">
        message2print = "{commanding" + "; xxxxxxxx-commanding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
           
        # -----------------------------------------------------------------------------------------    
        # COMMENT, COMMENTED, COMMENTING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "comment-c">
        message2print = "{comment" + "; xxxxxxxx-comment-by-yyyyyyyy-of-ZZZZZZZZ: xxxxxxxx " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "commented-c">
        message2print = "{commented" + "; xxxxxxxx-commented-by-yyyyyyyy-of-ZZZZZZZZ: xxxxxxxx " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "commenting-c">
        message2print = "{commenting" + "; xxxxxxxx-commenting-by-yyyyyyyy-of-ZZZZZZZZ: xxxxxxxx " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # COMPARE, COMPARED, COMPARING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "compare-c">
        message2print = "{compare" + "; xxxxxxxx-compare-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "compared-c">
        message2print = "{compared" + "; xxxxxxxx-compared-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "comparing-c">
        message2print = "{comparing" + "; xxxxxxxx-comparing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # CONCLUDE, CONCLUDED, CONCLUDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "conclude-c">
        message2print = "{conclude" + "; xxxxxxxx-conclude-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                     
        #</macro4xi>
        
        #<macro4xi macro = "concluded-c">
        message2print = "{concluded" + "; xxxxxxxx-concluded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                     
        #</macro4xi>

        #<macro4xi macro = "concluding-c">
        message2print = "{concluding" + "; xxxxxxxx-concluding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
                
        # -----------------------------------------------------------------------------------------    
        # CONNECT, CONNECTED, CONNECTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "connect-c">
        message2print = "{connect" + "; xxxxxxxx-connect-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "connected-c">
        message2print = "{connected" + "; xxxxxxxx-connected-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "connecting-c">
        message2print = "{connecting" + "; xxxxxxxx-connecting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # CONTEXTUALIZE, CONTEXTUALIZED, CONTEXTUALIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "contextualize-c">
        message2print = "{contextualize" + "; xxxxxxxx-contextualize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "contextualized-c">
        message2print = "{contextualized" + "; xxxxxxxx-contextualized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "contextualizing-c">
        message2print = "{contextualizing" + "; xxxxxxxx-contextualizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>        
            
        # -----------------------------------------------------------------------------------------    
        # COORDINATE, COORDINATED, COORDINATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "coordinate-c">
        message2print = "{coordinate" + "; xxxxxxxx-coordinate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "coordinated-c">
        message2print = "{coordinated" + "; xxxxxxxx-coordinated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "coordinating-c">
        message2print = "{coordinating" + "; xxxxxxxx-coordinating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
                      
        # -----------------------------------------------------------------------------------------    
        # CREATE, CREATED, CREATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "create-c">
        message2print = "{create" + "; xxxxxxxx-create-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "created-c">
        message2print = "{created" + "; xxxxxxxx-created-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "creating-c">
        message2print = "{creating" + "; xxxxxxxx-creating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                             
        #</macro4xi>
    
#[D]-Class        
        # -----------------------------------------------------------------------------------------    
        # DECIDE, DECIDED, DECIDING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "decide-c">
        message2print = "{decide" + "; xxxxxxxx-decide-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        #<macro4xi macro = "decided-c">
        message2print = "{decided" + "; xxxxxxxx-decided-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>

        #<macro4xi macro = "deciding-c">
        message2print = "{deciding" + "; xxxxxxxx-deciding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # DEFINE, DEFINED, DEFINING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "define-c">
        message2print = "{define" + "; xxxxxxxx-define-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        #<macro4xi macro = "defined-c">
        message2print = "{defined" + "; xxxxxxxx-defined-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        #<macro4xi macro = "defining-c">
        message2print = "{defining" + "; xxxxxxxx-defining-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>            
        
        # -----------------------------------------------------------------------------------------    
        # DELETE, DELETED, DELETING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "delete-c">
        message2print = "{delete" + "; xxxxxxxx-delete-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "deleted-c">
        message2print = "{deleted" + "; xxxxxxxx-deleted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>

        #<macro4xi macro = "deleting-c">
        message2print = "{deleting" + "; xxxxxxxx-deleting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # DELIVER, DELIVERED, DELIVERING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "deliver-c">
        message2print = "{deliver" + "; xxxxxxxx-deliver-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "delivered-c">
        message2print = "{delivered" + "; xxxxxxxx-delivered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "delivering-c">
        message2print = "{delivering" + "; xxxxxxxx-delivering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>      
    
        # -----------------------------------------------------------------------------------------    
        # DIRECT, DIRECTED, DIRECTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "direct-c">
        message2print = "{direct" + "; xxxxxxxx-direct-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "directed-c">
        message2print = "{directed" + "; xxxxxxxx-directed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "directing-c">
        message2print = "{directing" + "; xxxxxxxx-directing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>      
                          
        # -----------------------------------------------------------------------------------------    
        # DO, DID, DOING, DONE
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "do-c">
        message2print = "{do" + "; xxxxxxxx-do-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "did-c">
        message2print = "{did" + "; xxxxxxxx-did-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>

        #<macro4xi macro = "doing-c">
        message2print = "{doing" + "; xxxxxxxx-doing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
        #<macro4xi macro = "done-c">
        message2print = "{done" + "; xxxxxxxx-done-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>
     
        # -----------------------------------------------------------------------------------------    
        # DISCARD, DISCARDED, DISCARDING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "discard-c">
        message2print = "{discard" + "; xxxxxxxx-discard-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "discarded-c">
        message2print = "{discarded" + "; xxxxxxxx-discarded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>

        #<macro4xi macro = "discarding-c">
        message2print = "{discarding" + "; xxxxxxxx-discarding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # DISCONNECT, DISCONNECTED, DISCONNECTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "disconnect-c">
        message2print = "{disconnect" + "; xxxxxxxx-disconnect-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "disconnected-c">
        message2print = "{disconnected" + "; xxxxxxxx-disconnected-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "disconnecting-c">
        message2print = "{disconnecting" + "; xxxxxxxx-disconnecting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
                      
        # -----------------------------------------------------------------------------------------    
        # DISCOVER, DISCOVERED, DISCOVERING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "discover-c">
        message2print = "{discover" + "; xxxxxxxx-discover-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "discovered-c">
        message2print = "{discovered" + "; xxxxxxxx-discovered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>

        #<macro4xi macro = "discovering-c">
        message2print = "{discovering" + "; xxxxxxxx-discovering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                         
        # -----------------------------------------------------------------------------------------    
        # DISPATCH, DISPATCHED, DISPATCHING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "dispatch-c">
        message2print = "{dispatch" + "; xxxxxxxx-dispatch-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        #<macro4xi macro = "dispatched-c">
        message2print = "{dispatched" + "; xxxxxxxx-dispatched-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        #<macro4xi macro = "dispatching-c">
        message2print = "{dispatching" + "; xxxxxxxx-dispatching-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # DISTANCE, DISTANCED, DISTANCING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "distance-c">
        message2print = "{distance" + "; xxxxxxxx-distance-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "distanced-c">
        message2print = "{distanced" + "; xxxxxxxx-distanced-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "distancing-c">
        message2print = "{distancing" + "; xxxxxxxx-distancing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                

        # -----------------------------------------------------------------------------------------    
        # DRAGONIZE, DRAGONIZED, DRAGONIZING       
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "dragonize-c">
        message2print = "{dragonize" + "; xxxxxxxx-dragonize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>
        
        #<macro4xi macro = "dragonized-c">
        message2print = "{dragonized" + "; xxxxxxxx-dragonized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>
        
        #<macro4xi macro = "dragonizing-c">
        message2print = "{dragonizing" + "; xxxxxxxx-dragonizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>
                      
        # -----------------------------------------------------------------------------------------    
        # DUMP, DUMPED, DUMPING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "dump-c">
        message2print = "{dump" + "; xxxxxxxx-dump-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>
        
        #<macro4xi macro = "dumped-c">
        message2print = "{dumped" + "; xxxxxxxx-dumped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>

        #<macro4xi macro = "dumping-c">
        message2print = "{dumping" + "; xxxxxxxx-dumping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
    
#[E]-Class
        # -----------------------------------------------------------------------------------------    
        # EMBED, EMBEDDED, EMBEDDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "embed-c">
        message2print = "{embed" + "; xxxxxxxx-embed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "embedded-c">
        message2print = "{embedded" + "; xxxxxxxx-embedded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "embedding-c">
        message2print = "{embedding" + "; xxxxxxxx-embedding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>

        # -----------------------------------------------------------------------------------------    
        # END, ENDED, ENDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "end-c">
        message2print = "{end" + "; xxxxxxxx-end-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "ended-c">
        message2print = "{ended" + "; xxxxxxxx-ended-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "ending-c">
        message2print = "{ending" + "; xxxxxxxx-ending-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                
        # -----------------------------------------------------------------------------------------    
        # ENTER, ENTERED, ENTERING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "enter-c">
        message2print = "{enter" + "; xxxxxxxx-enter-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "entered-c">
        message2print = "{entered" + "; xxxxxxxx-entered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "entering-c">
        message2print = "{entering" + "; xxxxxxxx-entering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # EXAMINE, EXAMINED, EXAMINING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "examine-c">
        message2print = "{examine" + "; xxxxxxxx-examine-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "examined-c">
        message2print = "{examined" + "; xxxxxxxx-examined-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "examining-c">
        message2print = "{examining" + "; xxxxxxxx-examining-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                    
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # EXPOSE, EXPOSED, EXPOSING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "expose-c">
        message2print = "{expose" + "; xxxxxxxx-expose-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "exposed-c">
        message2print = "{exposed" + "; xxxxxxxx-exposed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "exposing-c">
        message2print = "{exposing" + "; xxxxxxxx-exposing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           
        #</macro4xi>
    
#[F]-Class
        # -----------------------------------------------------------------------------------------    
        # FAIL, FAILED, FAILING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "fail-c">
        message2print = "{fail" + "; xxxxxxxx-fail-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "failed-c">
        message2print = "{failed" + "; xxxxxxxx-failed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
            
        #<macro4xi macro = "failing-c">
        message2print = "{failing" + "; xxxxxxxx-failing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>    
     
        # -----------------------------------------------------------------------------------------    
        # FINALIZE, FINALIZE, FINALIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "finalize-c">
        message2print = "{finalize" + "; xxxxxxxx-finalize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "finalized-c">
        message2print = "{finalized" + "; xxxxxxxx-finalized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "finalizing-c">
        message2print = "{finalizing" + "; xxxxxxxx-finalizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>    
            
        # -----------------------------------------------------------------------------------------    
        # FIRE, FIRED, FIRING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "fire-c">
        message2print = "{fire" + "; xxxxxxxx-fire-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "fired-c">
        message2print = "{fired" + "; xxxxxxxx-fired-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "firing-c">
        message2print = "{firing" + "; xxxxxxxx-firing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
               
        # -----------------------------------------------------------------------------------------    
        # FLUSH, FLUSHED, FLUSHING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "flush-c">
        message2print = "{flush" + "; xxxxxxxx-flush-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "flushed-c">
        message2print = "{flushed" + "; xxxxxxxx-flushed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "flushing-c">
        message2print = "{flushing" + "; xxxxxxxx-flushing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # FLY, FLIED, FLYING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "fly-c">
        message2print = "{fly" + "; xxxxxxxx-fly-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "flied-c">
        message2print = "{flied" + "; xxxxxxxx-flied-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "flying-c">
        message2print = "{flying" + "; xxxxxxxx-flying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                 
        # -----------------------------------------------------------------------------------------    
        # FREE, FREED, FREEING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "free-c">
        message2print = "{free" + "; xxxxxxxx-free-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "freed-c">
        message2print = "{freed" + "; xxxxxxxx-freed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "freeing-c">
        message2print = "{freeing" + "; xxxxxxxx-freeing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # FUNCTION, FUNCTIONED, FUNCTIONING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "function-c">
        message2print = "{function" + "; xxxxxxxx-function-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
    
        #<macro4xi macro = "functioned-c">
        message2print = "{functioned" + "; xxxxxxxx-functioned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>    
        
        #<macro4xi macro = "functioning-c">
        message2print = "{functioning" + "; xxxxxxxx-functioning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                              
#[G]-Class
        # -----------------------------------------------------------------------------------------    
        # GET, GOT, GETTING
        # -----------------------------------------------------------------------------------------   

        #<macro4xi macro = "get-c">
        message2print = "{get" + "; xxxxxxxx-get-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "got-c">
        message2print = "{got" + "; xxxxxxxx-got-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "getting-c">
        message2print = "{getting" + "; xxxxxxxx-getting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # GLOBALIZE, GLOBALIZED, GLOBALIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "globalize-c">
        message2print = "{globalize" + "; xxxxxxxx-globalize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "globalized-c">
        message2print = "{globalized" + "; xxxxxxxx-globalized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "globalizing-c">
        message2print = "{globalizing" + "; xxxxxxxx-globalizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                     
#[H]-Class
        # -----------------------------------------------------------------------------------------    
        # HATCH, HATCHED, HATCHING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "hatch-c">
        message2print = "{hatch" + "; xxxxxxxx-hatch-by-yyyyyyyyof-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
        #<macro4xi macro = "hatched-c">
        message2print = "{hatched" + "; xxxxxxxx-hatched-by-yyyyyyyyof-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "hatching-c">
        message2print = "{hatching" + "; xxxxxxxx-hatching-by-yyyyyyyyof-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>            
    
        # -----------------------------------------------------------------------------------------    
        # HIT, HITTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "hit-c">
        message2print = "{hit" + "; xxxxxxxx-hit-by-yyyyyyyy-of-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "hitting-c">
        message2print = "{hitting" + "; xxxxxxxx-hitting-by-yyyyyyyy-of-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                     
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # HUNT, HUNTED, HUNTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "hunt-c">
        message2print = "{hunt" + "; xxxxxxxx-hunt-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "hunted-c">
        message2print = "{hunted" + "; xxxxxxxx-hunted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "hunting-c">
        message2print = "{hunting" + "; xxxxxxxx-hunting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

                
#[I]-Class
        # -----------------------------------------------------------------------------------------    
        # IDLE, IDLED, IDLING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "idle-c">
        message2print = "{idle" + "; xxxxxxxx-idle-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "idled-c">
        message2print = "{idled" + "; xxxxxxxx-idled-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "idling-c">
        message2print = "{idling" + "; xxxxxxxx-idling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # IGNORE, IGNORED, IGNORING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "ignore-c">
        message2print = "{ignore" + "; xxxxxxxx-ignore-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
    
        #<macro4xi macro = "ignored-c">
        message2print = "{ignored" + "; xxxxxxxx-ignored-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>    

        #<macro4xi macro = "ignoring-c">
        message2print = "{ignoring" + "; xxxxxxxx-ignoring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>  
                   
        # -----------------------------------------------------------------------------------------    
        # IMPORT, IMPORTED, IMPORTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "import-c">
        message2print = "{import" + "; xxxxxxxx-import-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "imported-c">
        message2print = "{imported" + "; xxxxxxxx-imported-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "importing-c">
        message2print = "{importing" + "; xxxxxxxx-importing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # IMPOSE, IMPOSED, IMPOSING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "impose-c">
        message2print = "{impose" + "; xxxxxxxx-impose-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "imposed-c">
        message2print = "{imposed" + "; xxxxxxxx-imposed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "imposing-c">
        message2print = "{imposing" + "; xxxxxxxx-imposing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # INDICATE, INDICATED, INDICATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "indicate-c">
        message2print = "{indicate" + "; xxxxxxxx-indicate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "indicated-c">
        message2print = "{indicated" + "; xxxxxxxx-indicated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "indicating-c">
        message2print = "{indicating" + "; xxxxxxxx-indicating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
                    
        # -----------------------------------------------------------------------------------------    
        # INFORM, INFORMED, INFORMING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "inform-c">
        message2print = "{inform" + "; xxxxxxxx-inform-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        #<macro4xi macro = "informed-c">
        message2print = "{informed" + "; xxxxxxxx-informed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>

        #<macro4xi macro = "informing-c">
        message2print = "{informing" + "; xxxxxxxx-informing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # inherit, inherited, inheriting
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "inherit-c"> 
        message2print = "{inherit" + "; xxxxxxxx-inherit-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "inherited-c"> 
        message2print = "{inherited" + "; xxxxxxxx-inherited-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "inheriting-c"> 
        message2print = "{inheriting" + "; xxxxxxxx-inheriting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
                                          
        # -----------------------------------------------------------------------------------------    
        # INITIALIZE, INITIALIZED, INITIALIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "initialize-c"> 
        message2print = "{initialize" + "; xxxxxxxx-initialize-by-yyyyyyyy-of-ZZZZZZZZ to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "initialized-c"> 
        message2print = "{initialized" + "; xxxxxxxx-initialized-by-yyyyyyyy-of-ZZZZZZZZ to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "initializing-c"> 
        message2print = "{initializing" + "; xxxxxxxx-initializing-by-yyyyyyyy-of-ZZZZZZZZ to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>    
        
        # -----------------------------------------------------------------------------------------    
        # INTERFACE, INTERFACED, INTERFACING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "interface-c">
        message2print = "{interface" + "; xxxxxxxx-interface by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "interfaced-c">
        message2print = "{interfaced" + "; xxxxxxxx-interfaced by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "interfacing-c">
        message2print = "{interfacing" + "; xxxxxxxx-interfacing by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>    
        

                         
#[J]-Class    
        # -----------------------------------------------------------------------------------------    
        # JOIN, JOINED, JOINING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "join-c">
        message2print = "{join" + "; xxxxxxxx-join-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "joined-c">
        message2print = "{joined" + "; xxxxxxxx-joined-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "joining-c">
        message2print = "{joining" + "; xxxxxxxx-joining-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
#[K]-Class    
        # -----------------------------------------------------------------------------------------    
        # KILL, KILLED, KILLING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "kill-c">
        message2print = "{kill" + "; xxxxxxxx-kill-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "killed-c">
        message2print = "{killed" + "; xxxxxxxx-killed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "killing-c">
        message2print = "{killing" + "; xxxxxxxx-killing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
#[L]-Class
        # -----------------------------------------------------------------------------------------    
        # LAND, LANDED, LANDING     
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "land-c">
        message2print = "{land" + "; xxxxxxxx-land-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "landed-c">
        message2print = "{landed" + "; xxxxxxxx-landed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "landing-c">
        message2print = "{landing" + "; xxxxxxxx-landing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
          
        # -----------------------------------------------------------------------------------------    
        # LAUNCH, LAUNCHED, LAUNCHING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "launch-c">
        message2print = "{launch" + "; xxxxxxxx-launch-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "launched-c">
        message2print = "{launched" + "; xxxxxxxx-launched-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "launching-c">
        message2print = "{launching" + "; xxxxxxxx-launching-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # LINK, LINKED, LINKING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "link-c">
        message2print = "{link" + "; xxxxxxxx-link-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "linked-c">
        message2print = "{linked" + "; xxxxxxxx-linked-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "linking-c">
        message2print = "{linking" + "; xxxxxxxx-linking-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>    
            
        # -----------------------------------------------------------------------------------------    
        # LIST, LISTED, LISTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "list-c">
        message2print = "{list" + "; xxxxxxxx-list-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
        #<macro4xi macro = "listed-c">
        message2print = "{listed" + "; xxxxxxxx-listed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "listing-c">
        message2print = "{listing" + "; xxxxxxxx-listing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
                            
        # -----------------------------------------------------------------------------------------    
        # LOOP, LOOPED, LOOPING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "loop-c">
        message2print = "{loop" + "; xxxxxxxx-loop-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "looped-c">
        message2print = "{looped" + "; xxxxxxxx-looped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>

        #<macro4xi macro = "looping-c">
        message2print = "{looping" + "; xxxxxxxx-looping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
#[M]-Class
        # -----------------------------------------------------------------------------------------    
        # MANOEUVRE, MANOEUVRED, MANOEUVRING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "manoeuvre-c">
        message2print = "{manoeuvre" + "; xxxxxxxx-manoeuvre-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "manoeuvred-c">
        message2print = "{manoeuvred" + "; xxxxxxxx-manoeuvred-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi> 
        
        #<macro4xi macro = "manoeuvring-c">
        message2print = "{manoeuvring" + "; xxxxxxxx-manoeuvring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
           
        # -----------------------------------------------------------------------------------------    
        # MASTER, MASTERED, MASTERING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "master-c">
        message2print = "{master" + "; xxxxxxxx-master-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "mastered-c">
        message2print = "{mastered" + "; xxxxxxxx-mastered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>

        #<macro4xi macro = "mastering-c">
        message2print = "{mastering" + "; xxxxxxxx-mastering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # MEASURE, MEASURED, MEASURING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "measure-c">
        message2print = "{measure" + "; xxxxxxxx-measure-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "measured-c">
        message2print = "{measured" + "; xxxxxxxx-measured-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "measuring-c">
        message2print = "{measuring" + "; xxxxxxxx-measuring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
             
        # -----------------------------------------------------------------------------------------    
        # METHODIZE, METHODIZED, METHODIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "methodize-c">
        message2print = "{methodize" + "; xxxxxxxx-methodize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "methodized-c">
        message2print = "{methodized" + "; xxxxxxxx-methodized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "methodizing-c">
        message2print = "{methodizing" + "; xxxxxxxx-methodizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
            
#[N]-Class    
        # -----------------------------------------------------------------------------------------    
        # NET, NETTED, NETTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "net-c">
        message2print = "{net" + "; xxxxxxxx-net-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "netted-c">
        message2print = "{netted" + "; xxxxxxxx-netted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "netting-c">
        message2print = "{netting" + "; xxxxxxxx-netting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>    
    
        # -----------------------------------------------------------------------------------------    
        # NOTE, NOTED, NOTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "note-c">
        message2print = "{note" + "; xxxxxxxx-note-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "noted-c">
        message2print = "{noted" + "; xxxxxxxx-noted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "noting-c">
        message2print = "{noting" + "; xxxxxxxx-noting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>               
            
#[O]-Class    
        # -----------------------------------------------------------------------------------------    
        # OPEN, OPENED, OPENING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "open-c">
        message2print = "{open" + "; xxxxxxxx-open-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "opened-c">
        message2print = "{opened" + "; xxxxxxxx-opened-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
               
        #<macro4xi macro = "opening-c">
        message2print = "{opening" + "; xxxxxxxx-opening-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # OPERATE, OPERATED, OPERATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "operate-f">
        message2print = "{operate" + "; xxxxxxxx-operate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "operated-f">
        message2print = "{operated" + "; xxxxxxxx-operated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
               
        #<macro4xi macro = "operating-f">
        message2print = "{operating" + "; xxxxxxxx-operating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # OPERATE, OPERATED, OPERATING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "operate-c">
        message2print = "{operate" + "; xxxxxxxx-operate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
        #<macro4xi macro = "operated-c">
        message2print = "{operated" + "; xxxxxxxx-operated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
           
        #<macro4xi macro = "operating-c">
        message2print = "{operating" + "; xxxxxxxx-operating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    

                                                                 
#[P]-Class
        # -----------------------------------------------------------------------------------------    
        # PARSE, PARSED, PARSING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "parse-c">
        message2print = "{parse" + "; xxxxxxxx-parse-to-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        
        #<macro4xi macro = "parsed-c">
        message2print = "{parsed" + "; xxxxxxxx-parsed-to-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        
        #<macro4xi macro = "parsing-c">
        message2print = "{parsing" + "; xxxxxxxx-parsing-to-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
         
        # -----------------------------------------------------------------------------------------    
        # PASS, PASSED, PASSING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "pass-c">
        message2print = "{pass" + "; xxxxxxxx-pass-to-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        
        #<macro4xi macro = "passed-c">
        message2print = "{passed" + "; xxxxxxxx-passed-to-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>

        #<macro4xi macro = "passing-c">
        message2print = "{passing" + "; xxxxxxxx-passing-to-zzzzzzzz-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # PERFORM, PERFORMED, PERFORMING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "perform-c">
        message2print = "{perform" + "; xxxxxxxx-perform-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "performed-c">
        message2print = "{performed" + "; xxxxxxxx-performed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "performing-c">
        message2print = "{performing" + "; xxxxxxxx-performing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # PERTAIN, PERTAINED, PERTAINING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "pertain-c">
        message2print = "{pertain" + "; xxxxxxxx-pertain-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "pertained-c">
        message2print = "{pertained" + "; xxxxxxxx-pertained-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "pertaining-c">
        message2print = "{pertaining" + "; xxxxxxxx-pertaining-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
                
        # -----------------------------------------------------------------------------------------    
        # PICKLE, PICKLED, PICKLING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "pickle-c">
        message2print = "{pickle" + "; xxxxxxxx-pickle-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
          
        #<macro4xi macro = "pickled-c">
        message2print = "{pickled" + "; xxxxxxxx-pickled-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "pickling-c">
        message2print = "{pickling" + "; xxxxxxxx-pickling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                  
        
        # -----------------------------------------------------------------------------------------    
        # POLL, POLLED, POLLING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "poll-c">
        message2print = "{poll" + "; xxxxxxxx-poll-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        
        #<macro4xi macro = "polled-c">
        message2print = "{polled" + "; xxxxxxxx-polled-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
    
        #<macro4xi macro = "polling-c">
        message2print = "{polling" + "; xxxxxxxx-polling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>

        
        # -----------------------------------------------------------------------------------------    
        # PRINT, PRINTED, PRINTING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "print-c">
        message2print = "{print" + "; xxxxxxxx-print-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        
        #<macro4xi macro = "printed-c">
        message2print = "{printed" + "; xxxxxxxx-printed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>

        #<macro4xi macro = "printing-c">
        message2print = "{printing" + "; xxxxxxxx-printing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>


        # -----------------------------------------------------------------------------------------    
        # PRIVATE, PRIVATED, PRIVATING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "private-c">
        message2print = "{private" + "; xxxxxxxx-private-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
    
        #<macro4xi macro = "privated-c">
        message2print = "{privated" + "; xxxxxxxx-privated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>        
        
              
        #<macro4xi macro = "privating-c">
        message2print = "{privating" + "; xxxxxxxx-privating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
        

        
        # -----------------------------------------------------------------------------------------    
        # PROCESS, PROCESSED, PROCESSING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "process-c">
        message2print = "{process" + "; xxxxxxxx-process-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        #<macro4xi macro = "processed-c">
        message2print = "{processed" + "; xxxxxxxx-processed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        #<macro4xi macro = "processing-c">
        message2print = "{processing" + "; xxxxxxxx-processing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        # -----------------------------------------------------------------------------------------    
        # PROFILE, PROFILED, PROFILING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "profile-c">
        message2print = "{profile" + "; xxxxxxxx-profile-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        #<macro4xi macro = "profiled-c">
        message2print = "{profiled" + "; xxxxxxxx-profiled-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        #<macro4xi macro = "profiling-c">
        message2print = "{profiling" + "; xxxxxxxx-profiling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
          
        # -----------------------------------------------------------------------------------------    
        # PROGRAM, PROGRAMMED, PROGRAMMING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "program-c">
        message2print = "{program" + "; xxxxxxxx-program-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
    
        #<macro4xi macro = "programmed-c">
        message2print = "{programmed" + "; xxxxxxxx-programmed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
    
        #<macro4xi macro = "programming-c">
        message2print = "{programming" + "; xxxxxxxx-programming-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
          
        # -----------------------------------------------------------------------------------------    
        # protect, protected, protecting
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "protect-c">
        message2print = "{protect" + "; xxxxxxxx-protect-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
    
        #<macro4xi macro = "protected-c">
        message2print = "{protected" + "; xxxxxxxx-protected-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
        
        #<macro4xi macro = "protecting-c">
        message2print = "{protecting" + "; xxxxxxxx-protecting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>    
                                               
        # -----------------------------------------------------------------------------------------    
        # PROXY, PROXIED, PROXYING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "proxy-c">
        message2print = "{proxy" + "; xxxxxxxx-proxy-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>
        
        #<macro4xi macro = "proxied-c">
        message2print = "{proxied" + "; xxxxxxxx-proxied-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>

        #<macro4xi macro = "proxying-c">
        message2print = "{proxying" + "; xxxxxxxx-proxying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # PUT, PUTTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "put-c">
        message2print = "{put" + "; xxxxxxxx-put-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "putting-c">
        message2print = "{putting" + "; xxxxxxxx-putting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)                
        #</macro4xi>
    
#[Q]-Class
        # -----------------------------------------------------------------------------------------    
        # QUEUE, QUEUED, QUEUING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "queue-c">
        message2print = "{queue" + "; xxxxxxxx-queue-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        #<macro4xi macro = "queued-c">
        message2print = "{queued" + "; xxxxxxxx-queued-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        #<macro4xi macro = "queuing-c">
        message2print = "{queuing" + "; xxxxxxxx-queuing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>    
        
        # -----------------------------------------------------------------------------------------    
        # QUIT, QUITTED, QUITTING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "quit-c">
        message2print = "{quit" + "; xxxxxxxx-quit-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "quitted-c">
        message2print = "{quitted" + "; xxxxxxxx-quitted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "quitting-c">
        message2print = "{quitting" + "; xxxxxxxx-quitting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
#[R]-Class
        # -----------------------------------------------------------------------------------------    
        # RAISE, RAISED, RAISING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "raise-c">
        message2print = "{raise" + "; xxxxxxxx-raise-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "raised-c">
        message2print = "{raised" + "; xxxxxxxx-raised-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "raising-c">
        message2print = "{raising" + "; xxxxxxxx-raising-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # READ, READING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "read-c">
        message2print = "{read" + "; xxxxxxxx-read-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "reading-c">
        message2print = "{reading" + "; xxxxxxxx-reading-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # REASON, REASONED, REASONING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "reason-c">
        message2print = "{reason" + "; xxxxxxxx-reason-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "reasoned-c">
        message2print = "{reasoned" + "; xxxxxxxx-reasoned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "reasoning-c">
        message2print = "{reasoning" + "; xxxxxxxx-reasoning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # RECEIVE, RECEIVED, RECEIVING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "receive-c">
        message2print = "{receive" + "; xxxxxxxx-receive-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "received-c">
        message2print = "{received" + "; xxxxxxxx-received-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "receiving-c">
        message2print = "{receiving" + "; xxxxxxxx-receiving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # RECORD, RECORDED, RECORDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "record-c">
        message2print = "{record" + "; xxxxxxxx-record-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        #<macro4xi macro = "recorded-c">
        message2print = "{recorded" + "; xxxxxxxx-recorded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi> 
    
        #<macro4xi macro = "recording-c">
        message2print = "{recording" + "; xxxxxxxx-recording-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>       
        
        # -----------------------------------------------------------------------------------------    
        # REFER, REFERRED, REFERRING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "refer-c">
        message2print = "{refer" + "; xxxxxxxx-refer-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "referred-c">
        message2print = "{referred" + "; xxxxxxxx-referred-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>    
        
        #<macro4xi macro = "referring-c">
        message2print = "{referring" + "; xxxxxxxx-referring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # REGISTER, REGISTERED, REGISTERING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "register-c">
        message2print = "{register" + "; xxxxxxxx-register-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        #<macro4xi macro = "registered-c">
        message2print = "{registered" + "; xxxxxxxx-registered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "registering-c">
        message2print = "{registering" + "; xxxxxxxx-registering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>        
                      
        # -----------------------------------------------------------------------------------------    
        # RELEASE, RELEASED, RELEASING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "release-c">
        message2print = "{release" + "; xxxxxxxx-release-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "released-c">
        message2print = "{released" + "; xxxxxxxx-released-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "releasing-c">
        message2print = "{releasing" + "; xxxxxxxx-releasing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # REMOVE, REMOVED, REMOVING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "remove-c">
        message2print = "{remove" + "; xxxxxxxx-remove-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "removed-c">
        message2print = "{removed" + "; xxxxxxxx-removed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "removing-c">
        message2print = "{removing" + "; xxxxxxxx-removing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
                      
        # -----------------------------------------------------------------------------------------    
        # RENAME, RENAMED, RENAMING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "rename-c">
        message2print = "{rename" + "; xxxxxxxx-rename-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        #<macro4xi macro = "renamed-c">
        message2print = "{renamed" + "; xxxxxxxx-renamed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        #<macro4xi macro = "renaming-c">
        message2print = "{renaming" + "; xxxxxxxx-renaming-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # RESET, RESETTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "reset-c">
        message2print = "{reset" + "; xxxxxxxx-reset-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
    
        #<macro4xi macro = "resetting-c">
        message2print = "{resetting" + "; xxxxxxxx-resetting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>    
                                                  
        # -----------------------------------------------------------------------------------------    
        # RETURN, RETURNING
        # -----------------------------------------------------------------------------------------   
        # only time
        #<macro4xi macro = "return-tc">
        message2print = "{return" + "; yyyyyyyy-of-ZZZZZZZZ-return: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
        
        #<macro4xi macro = "returning-tc">
        message2print = "{returning" + "; yyyyyyyy-of-ZZZZZZZZ-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>

            
        # value
        #<macro4xi macro = "return-vc">
        message2print = "{return" + "; xxxxxxxx-return-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "returning-vc">
        message2print = "{returning" + "; xxxxxxxx-returning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

                    
        # function called 
        #<macro4xi macro = "return-fc">
        message2print = "{return" + "; xxxxxxxx-function-return-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        #<macro4xi macro = "returning-fc">
        message2print = "{returning" + "; xxxxxxxx-function-returning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
            
        # class called     
        #<macro4xi macro = "return-cc">
        message2print = "{return" + "; YYYYYYYY-class-return-by-yyyyyyyy-of-ZZZZZZZZ: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "returning-cc">
        message2print = "{returning" + "; YYYYYYYY-class-returning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
        # method of a class called     
        #<macro4xi macro = "return-mc">
        message2print = "{return" + "; zzzzzzzz-of-ZZZZZZZZ-return-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "returning-mc">
        message2print = "{returning" + "; zzzzzzzz-of-ZZZZZZZZ-returning-by-yyyyyyyy: " + str(YYYYYYYY) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
                            
        # False
        #<macro4xi macro = "return-nc">
        message2print = "{return" + "; false-return-by-yyyyyyyy-of-ZZZZZZZZ: False" + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "returning-nc">
        message2print = "{returning" + "; false-returning-by-yyyyyyyy-of-ZZZZZZZZ: False" + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
            
        #True    
        #<macro4xi macro = "return-yc">
        message2print = "{return" + "; true-return-by-yyyyyyyy-of-ZZZZZZZZ: True" + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>
        
        #<macro4xi macro = "returning-yc">
        message2print = "{returning" + "; true-returning-by-yyyyyyyy-of-ZZZZZZZZ: True" + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>
        
        #Error    
        #<macro4xi macro = "return-ec">
        message2print = "{return" + "; error-return-by-yyyyyyyy-of-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>
        
        #<macro4xi macro = "returning-ec">
        message2print = "{returning" + "; error-returning-by-yyyyyyyy-of-ZZZZZZZZ: " + " *** " + str(xxxxxxxx)  + " *** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>
 
        # -----------------------------------------------------------------------------------------    
        # RISE, ROSE, RISING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "rise-c">
        message2print = "{rise" + "; xxxxxxxx-rise-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "rose-c">
        message2print = "{rose" + "; xxxxxxxx-rose-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>     
        
        #<macro4xi macro = "rising-c">
        message2print = "{rising" + "; xxxxxxxx-rising-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>    
     
        # -----------------------------------------------------------------------------------------    
        # ROTATE, ROTATED, ROTATING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "rotate-c">
        message2print = "{rotate" + "; xxxxxxxx-rotate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "rotated-c">
        message2print = "{rotated" + "; xxxxxxxx-rotated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>     
        
        #<macro4xi macro = "rotating-c">
        message2print = "{rotating" + "; xxxxxxxx-rotating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>    
             
        # -----------------------------------------------------------------------------------------    
        # ROUND, ROUNDED, ROUNDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "round-c">
        message2print = "{round" + "; xxxxxxxx-round-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "rounded-c">
        message2print = "{rounded" + "; xxxxxxxx-rounded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "rounding-c">
        message2print = "{rounding" + "; xxxxxxxx-rounding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
                 
        # -----------------------------------------------------------------------------------------    
        # RUN, RUNNING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "run-c">
        message2print = "{run" + "; xxxxxxxx-run-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "running-c">
        message2print = "{running" + "; xxxxxxxx-running-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                     
        #</macro4xi>
    
#[S]-Class
        # -----------------------------------------------------------------------------------------    
        # SAVE, SAVED, SAVING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "save-c">
        message2print = "{save" + "; xxxxxxxx-save-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "saved-c">
        message2print = "{saved" + "; xxxxxxxx-saved-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "saving-c">
        message2print = "{saving" + "; xxxxxxxx-saving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        # -----------------------------------------------------------------------------------------    
        # SCHEME, SCHEMED, SCHEMING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "scheme-c">
        message2print = "{scheme" + "; xxxxxxxx-scheme-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "schemed-c">
        message2print = "{schemed" + "; xxxxxxxx-schemed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "scheming-c">
        message2print = "{scheming" + "; xxxxxxxx-scheming-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>


        # -----------------------------------------------------------------------------------------    
        # SCOPE, SCOPED, SCOPING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "scope-c">
        message2print = "{scope" + "; xxxxxxxx-scope-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "scoped-c">
        message2print = "{scoped" + "; xxxxxxxx-scoped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "scoping-c">
        message2print = "{scoping" + "; xxxxxxxx-scoping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
                            
                    
        # -----------------------------------------------------------------------------------------    
        # SELECT, SELECTED, SELECTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "select-c">
        message2print = "{select" + "; xxxxxxxx-select-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "selected-c">
        message2print = "{selected" + "; xxxxxxxx-selected-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "selecting-c">
        message2print = "{selecting" + "; xxxxxxxx-selecting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
                        
        # -----------------------------------------------------------------------------------------    
        # SEND, SENT, SENDING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "send-c">
        message2print = "{send" + "; xxxxxxxx-send-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
        
        #<macro4xi macro = "sent-c">
        message2print = "{sent" + "; xxxxxxxx-sent-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>

        #<macro4xi macro = "sending-c">
        message2print = "{sending" + "; xxxxxxxx-sending-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # SENSE, SENSED, SENSING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "sense-c">
        message2print = "{sense" + "; xxxxxxxx-sense-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "sensed-c">
        message2print = "{sensed" + "; xxxxxxxx-sensed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "sensing-c">
        message2print = "{sensing" + "; xxxxxxxx-sensing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
          
        # -----------------------------------------------------------------------------------------    
        # SERVE, SERVED, SERVING 
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "serve-c">
        message2print = "{serve" + "; xxxxxxxx-serve-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>
        
        #<macro4xi macro = "served-c">
        message2print = "{served" + "; xxxxxxxx-served-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        #</macro4xi>

        #<macro4xi macro = "serving-c">
        message2print = "{serving" + "; xxxxxxxx-serving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
             
        # -----------------------------------------------------------------------------------------    
        # SET, SETTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "set-c">
        message2print = "{set" + "; xxxxxxxx-set-by-yyyyyyyy-of-ZZZZZZZZ to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        #</macro4xi>

        #<macro4xi macro = "setting-c">
        message2print = "{setting" + "; xxxxxxxx-setting-by-yyyyyyyy-of-ZZZZZZZZ to: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # SHARE, SHARED, SHARING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "share-c">
        message2print = "{share" + "; xxxxxxxx-share-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "shared-c">
        message2print = "{shared" + "; xxxxxxxx-shared-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "sharing-c">
        message2print = "{sharing" + "; xxxxxxxx-sharing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
                           
        # -----------------------------------------------------------------------------------------    
        # SHOW, SHOWED, SHOWING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "show-c">
        message2print = "{show" + "; xxxxxxxx-show-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "showed-c">
        message2print = "{showed" + "; xxxxxxxx-showed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>

        #<macro4xi macro = "showing-c">
        message2print = "{showing" + "; xxxxxxxx-showing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # SKELETONIZE, SKELETONIZED, SKELETONIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "skeletonize-c">
        message2print = "{skeletonize" + "; xxxxxxxx-skeletonize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "skeletonized-c">
        message2print = "{skeletonized" + "; xxxxxxxx-skeletonized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
    
        #<macro4xi macro = "skeletonizing-c">
        message2print = "{skeletonizing" + "; xxxxxxxx-skeletonizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
                     
        # -----------------------------------------------------------------------------------------    
        # SKIP, SKIPPED, SKIPPING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "skip-c">
        message2print = "{skip" + "; xxxxxxxx-skip-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
        
        #<macro4xi macro = "skipped-c">
        message2print = "{skipped" + "; xxxxxxxx-skipped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>

        #<macro4xi macro = "skipping-c">
        message2print = "{skipping" + "; xxxxxxxx-skipping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # SLEEP, SLEPT, SLEEPING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "sleep-c">
        message2print = "{sleep" + "; xxxxxxxx-sleep-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
    
        #<macro4xi macro = "slept-c">
        message2print = "{slept" + "; xxxxxxxx-slept-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
         
        #<macro4xi macro = "sleeping-c">
        message2print = "{sleeping" + "; xxxxxxxx-sleeping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
        #</macro4xi>
                                 
        # -----------------------------------------------------------------------------------------    
        # SORT, SORTED, SORTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "sort-c">
        message2print = "{sort" + "; xxxxxxxx-sort-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
        
        #<macro4xi macro = "sorted-c">
        message2print = "{sorted" + "; xxxxxxxx-sorted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>

        #<macro4xi macro = "sorting-c">
        message2print = "{sorting" + "; xxxxxxxx-sorting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
                    
        # -----------------------------------------------------------------------------------------    
        # SPAWN, SPAWNED, SPAWNING 
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "spawn-c">
        message2print = "{spawn" + "; xxxxxxxx-spawn-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
        
        #<macro4xi macro = "spawned-c">
        message2print = "{spawned" + "; xxxxxxxx-spawned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>

        #<macro4xi macro = "spawning-c">
        message2print = "{spawning" + "; xxxxxxxx-spawning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                               
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # SPECIALIZE, SPECIALIZED, SPECIALIZING 
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "specialize-c">
        message2print = "{specialize" + "; xxxxxxxx-specialize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
        
        #<macro4xi macro = "specialized-c">
        message2print = "{specialized" + "; xxxxxxxx-specialized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
        
        #<macro4xi macro = "specializing-c">
        message2print = "{specializing" + "; xxxxxxxx-specializing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
                       
        # -----------------------------------------------------------------------------------------    
        # STANDARDIZE, STANDARDIZED, STANDARDIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "standardize-c">
        message2print = "{standardize" + "; xxxxxxxx-standardize-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
        
        #<macro4xi macro = "standardized-c">
        message2print = "{standardized" + "; xxxxxxxx-standardized-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
        
        #<macro4xi macro = "standardizing-c">
        message2print = "{standardizing" + "; xxxxxxxx-standardizing-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
                         
        # -----------------------------------------------------------------------------------------    
        # START, STARTED, STARTING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "start-c">
        message2print = "{start" + "; xxxxxxxx-of-ZZZZZZZZ-start: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>
        
        #<macro4xi macro = "started-c">
        message2print = "{started" + "; xxxxxxxx-of-ZZZZZZZZ-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        #</macro4xi>

        #<macro4xi macro = "starting-c">
        message2print = "{starting" + "; xxxxxxxx-of-ZZZZZZZZ-starting: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
            
         
        # -----------------------------------------------------------------------------------------    
        # STATE, STATED, STATING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "state-c">
        message2print = "{state" + "; xxxxxxxx-state-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "stated-c">
        message2print = "{stated" + "; xxxxxxxx-stated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>

        #<macro4xi macro = "stating-c">
        message2print = "{stating" + "; xxxxxxxx-stating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)               
        #</macro4xi>
           
        # -----------------------------------------------------------------------------------------    
        # STEP, STEPPED, STEPPING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "step-c">
        message2print = "{(Step 1/X) step" + "; (Step 1/X)-step-by-yyyyyyyy-of-ZZZZZZZZ: " + "~  ~"  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
        #<macro4xi macro = "stepped-c">
        message2print = "{(Step 1/X) stepped" + "; (Step 1/X)-stepped-by-yyyyyyyy-of-ZZZZZZZZ: " + "~  ~"  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "stepping-c">
        message2print = "{(Step 1/X) stepping" + "; (Step 1/X)-stepping-by-yyyyyyyy-of-ZZZZZZZZ: " + "~  ~"  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # SUPER, SUPERRED, SUPERING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "super-c">
        message2print = "{super" + "; xxxxxxxx-super-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "superred-c">
        message2print = "{superred" + "; xxxxxxxx-superred-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "supering-c">
        message2print = "{supering" + "; xxxxxxxx-supering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                               
        # -----------------------------------------------------------------------------------------    
        # SYMBOLIZE, SYMBOLIZED, SYMBOLIZING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "symbolize-c">
        message2print = "{symbolize" + "; xxxxxxxx-symbolize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "symbolized-c">
        message2print = "{symbolized" + "; xxxxxxxx-symbolized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "symbolizing-c">
        message2print = "{symbolizing" + "; xxxxxxxx-symbolizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>    
                                       
        # -----------------------------------------------------------------------------------------    
        # SYNOPSIZE, SYNOPSIZED, SYNOPSIZING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "synopsize-c">
        message2print = "{synopsize" + "; xxxxxxxx-synopsize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "synopsized-c">
        message2print = "{synopsized" + "; xxxxxxxx-synopsized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "synopsizing-c">
        message2print = "{synopsizing" + "; xxxxxxxx-synopsizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>    
            
#[T]-Class
        # -----------------------------------------------------------------------------------------    
        # TAG, TAGGED, TAGGING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "tag-c">
        message2print = "{tag" + "; xxxxxxxx-tag-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "tagged-c">
        message2print = "{tagged" + "; xxxxxxxx-tagged-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "tagging-c">
        message2print = "{tagging" + "; xxxxxxxx-tagging-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
       
        # -----------------------------------------------------------------------------------------    
        # TAKE-INTO-ACCOUNT, TOOK-INTO-ACCOUNT, TAKING-INTO-ACCOUNT, TAKEN-INTO-ACCOUNT
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "take-into-account-c">
        message2print = "{take-into-account" + "; xxxxxxxx-take-into-account-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "took-into-account-c">
        message2print = "{took-into-account" + "; xxxxxxxx-took-into-account-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "taking-into-account-c">
        message2print = "{taking-into-account" + "; xxxxxxxx-taking-into-account-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        #<macro4xi macro = "taken-into-account-c">
        message2print = "{taken-into-account" + "; xxxxxxxx-taken-into-account-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
                
        # -----------------------------------------------------------------------------------------    
        # TAKE-OFF, TOOK-OFF, TAKING-OFF, TAKEN-OFF
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "take-off-c">
        message2print = "{take-off" + "; xxxxxxxx-take-off-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "took-off-c">
        message2print = "{took-off" + "; xxxxxxxx-took-off-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "taking-off-c">
        message2print = "{taking-off" + "; xxxxxxxx-taking-off-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "taken-off-c">
        message2print = "{taken-off" + "; xxxxxxxx-taken-off-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
                                    
        # -----------------------------------------------------------------------------------------    
        # TERMINATE, TERMINATED, TERMINATING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "terminate-c">
        message2print = "{terminate" + "; xxxxxxxx-terminate-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "terminated-c">
        message2print = "{terminated" + "; xxxxxxxx-terminated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
        
        #<macro4xi macro = "terminating-c">
        message2print = "{terminating" + "; xxxxxxxx-terminating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        #</macro4xi>
                    
        # -----------------------------------------------------------------------------------------    
        # TEST, TESTED, TESTING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "test-c">
        message2print = "{test" + "; xxxxxxxx-test-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        #<macro4xi macro = "tested-c">
        message2print = "{tested" + "; xxxxxxxx-tested-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>

        #<macro4xi macro = "testing-c">
        message2print = "{testing" + "; xxxxxxxx-testing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # TELL, TOLD, TELLING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "tell-c">
        message2print = "{tell" + "; xxxxxxxx-tell-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
        
        #<macro4xi macro = "told-c">
        message2print = "{told" + "; xxxxxxxx-told-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>

        #<macro4xi macro = "telling-c">
        message2print = "{telling" + "; xxxxxxxx-telling-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # TIME, TIMED, TIMEING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "time-c">
        message2print = "{time" + "; xxxxxxxx-time-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "timed-c">
        message2print = "{timed" + "; xxxxxxxx-timed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "timing-c">
        message2print = "{timing" + "; xxxxxxxx-timing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
                            
        # -----------------------------------------------------------------------------------------    
        # TRY, TRIED, TRYING
        # -----------------------------------------------------------------------------------------
        #<macro4xi macro = "try-c">
        message2print = "{try" + "; xxxxxxxx-try-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>
        
        #<macro4xi macro = "tried-c">
        message2print = "{tried" + "; xxxxxxxx-tried-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        #</macro4xi>

        #<macro4xi macro = "trying-c">
        message2print = "{trying" + "; xxxxxxxx-trying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # TUNE, TUNED, TUNING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "tune-c">
        message2print = "{tune" + "; xxxxxxxx-tune-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "tuned-c">
        message2print = "{tuned" + "; xxxxxxxx-tuned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi> 
                   
        #<macro4xi macro = "tuning-c">
        message2print = "{tuning" + "; xxxxxxxx-tuning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>    
                    
        # -----------------------------------------------------------------------------------------    
        # TYPE, TYPED, TYPING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "type-c">
        message2print = "{type" + "; xxxxxxxx-type-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "typed-c">
        message2print = "{typed" + "; xxxxxxxx-typed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "typing-c">
        message2print = "{typing" + "; xxxxxxxx-typing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
#[U]-Class
        # -----------------------------------------------------------------------------------------    
        # UNION, UNIONED, UNIONING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "union-c">
        message2print = "{union" + "; xxxxxxxx-union-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "unioned-c">
        message2print = "{unioned" + "; xxxxxxxx-unioned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "unioning-c">
        message2print = "{unioning" + "; xxxxxxxx-unioning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
           
        # -----------------------------------------------------------------------------------------    
        # UNRESOLVE, UNRESOLVED, UNRESOLVING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "unresolve-c">
        message2print = "{unresolve" + "; xxxxxxxx-unresolve-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "unresolved-c">
        message2print = "{unresolved" + "; xxxxxxxx-unresolved-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "unresolving-c">
        message2print = "{unresolving" + "; xxxxxxxx-unresolving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # UPGRADE, UPGRADED, UPGRADING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "upgrade-c">
        message2print = "{upgrade" + "; xxxxxxxx-upgrade-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "upgraded-c">
        message2print = "{upgraded" + "; xxxxxxxx-upgraded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "upgrading-c">
        message2print = "{upgrading" + "; xxxxxxxx-upgrading-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # USE, USED, USING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "use-c">
        message2print = "{use" + "; xxxxxxxx-use-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "used-c">
        message2print = "{used" + "; xxxxxxxx-used-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "using-c">
        message2print = "{using" + "; xxxxxxxx-using-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        #</macro4xi>
    
#[V]-Class
        # -----------------------------------------------------------------------------------------    
        # VARY, VARIED, VARYING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "vary-c">
        message2print = "{vary" + "; xxxxxxxx-vary-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "varied-c">
        message2print = "{varied" + "; xxxxxxxx-varied-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "varying-c">
        message2print = "{varying" + "; xxxxxxxx-varying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # VENTURE, VENTURED, VENTURING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "venture-c">
        message2print = "{venture" + "; xxxxxxxx-venture-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "ventured-c">
        message2print = "{ventured" + "; xxxxxxxx-ventured-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "venturing-c">
        message2print = "{venturing" + "; xxxxxxxx-venturing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # VERBALIZE, VERBALIZED, VERBALIZING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "verbalize-c">
        message2print = "{verbalize" + "; xxxxxxxx-verbalize-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verbalized-c">
        message2print = "{verbalized" + "; xxxxxxxx-verbalized-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verbalizing-c">
        message2print = "{verbalizing" + "; xxxxxxxx-verbalizing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>            
        
        # -----------------------------------------------------------------------------------------    
        # VERGE, VERGED, VERGING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "verge-c">
        message2print = "{verge" + "; xxxxxxxx-verge-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verged-c">
        message2print = "{verged" + "; xxxxxxxx-verged-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verging-c">
        message2print = "{verging" + "; xxxxxxxx-verging-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                 
        # -----------------------------------------------------------------------------------------    
        # VERIFY, VERIFIED, VERIFYING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "verify-c">
        message2print = "{verify" + "; xxxxxxxx-verify-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verified-c">
        message2print = "{verified" + "; xxxxxxxx-verified-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "verifying-c">
        message2print = "{verifying" + "; xxxxxxxx-verifying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>        
            
        # -----------------------------------------------------------------------------------------    
        # VIEW, VIEWED, VIEWING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "view-c">
        message2print = "{view" + "; xxxxxxxx-view-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "viewed-c">
        message2print = "{viewed" + "; xxxxxxxx-viewed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "viewing-c">
        message2print = "{viewing" + "; xxxxxxxx-viewing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # VISIT, VISITED, VISITING    
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "visit-c">
        message2print = "{visit" + "; xxxxxxxx-visit-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "visited-c">
        message2print = "{visited" + "; xxxxxxxx-visited-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "visiting-c">
        message2print = "{visiting" + "; xxxxxxxx-visiting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # VOTE, VOTED, VOTING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "vote-c">
        message2print = "{vote" + "; xxxxxxxx-vote-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "voted-c">
        message2print = "{voted" + "; xxxxxxxx-voted-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "voting-c">
        message2print = "{voting" + "; xxxxxxxx-voting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                                                     
#[X]-Class

        # -----------------------------------------------------------------------------------------    
        # XRAY, XRAYED, XRAYING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "xray-c">
        message2print = "{xray" + "; xxxxxxxx-xray-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "xrayed-c">
        message2print = "{xrayed" + "; xxxxxxxx-xrayed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "xraying-c">
        message2print = "{xraying" + "; xxxxxxxx-xraying-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
#[Y]-Class
        # -----------------------------------------------------------------------------------------    
        # YEARN, YEARNED, YEARNING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "yearn-f">
        message2print = "{yearn" + "; xxxxxxxx-yearn-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "yearned-f">
        message2print = "{yearned" + "; xxxxxxxx-yearned-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "yearning-f">
        message2print = "{yearning" + "; xxxxxxxx-yearning-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # YIELD, YIELDED, YIELDING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "yield-c">
        message2print = "{yield" + "; xxxxxxxx-yield-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "yielded-c">
        message2print = "{yielded" + "; xxxxxxxx-yielded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "yielding-c">
        message2print = "{yielding" + "; xxxxxxxx-yielding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        #</macro4xi>
    
#[Z]-Class
        # -----------------------------------------------------------------------------------------    
        # ZAP, ZAPPED, ZAPPING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "zap-c">
        message2print = "{zap" + "; xxxxxxxx-zap-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zapped-c">
        message2print = "{zapped" + "; xxxxxxxx-zapped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zapping-c">
        message2print = "{zapping" + "; xxxxxxxx-zapping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
            
        # -----------------------------------------------------------------------------------------    
        # ZERO, ZEROED, ZEROING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "zero-c">
        message2print = "{zero" + "; xxxxxxxx-zero-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zeroed-c">
        message2print = "{zeroed" + "; xxxxxxxx-zeroed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "zeroing-c">
        message2print = "{zeroing" + "; xxxxxxxx-zeroing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # ZIP, ZIPPED, ZIPPING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "zip-c">
        message2print = "{zip" + "; xxxxxxxx-zip-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zipped-c">
        message2print = "{zipped" + "; xxxxxxxx-zipped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zipping-c">
        message2print = "{zipping" + "; xxxxxxxx-zipping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # ZONE, ZONED, ZONING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "zone-c">
        message2print = "{zone" + "; xxxxxxxx-zone-by-yyyyyyyy-of-ZZZZZZZZ:: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zoned-c">
        message2print = "{zoned" + "; xxxxxxxx-zoned-by-yyyyyyyy-of-ZZZZZZZZ:: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "zoning-c">
        message2print = "{zoning" + "; xxxxxxxx-zoning-by-yyyyyyyy-of-ZZZZZZZZ:: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                                                                           
#[W]-Class
        # -----------------------------------------------------------------------------------------    
        # WAIT, WAITED, WAITING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wait-c">
        message2print = "{wait" + "; xxxxxxxx-wait-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "waited-c">
        message2print = "{waited" + "; xxxxxxxx-waited-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "waiting-c">
        message2print = "{waiting" + "; xxxxxxxx-waiting-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # WAIVE, WAIVED, WAIVING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "waive-c">
        message2print = "{waive" + "; xxxxxxxx-waive-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "waived-c">
        message2print = "{waived" + "; xxxxxxxx-waived-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "waiving-c">
        message2print = "{waiving" + "; xxxxxxxx-waiving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WAKE, WOKE, WAKING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wake-c">
        message2print = "{wake" + "; xxxxxxxx-wake-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "woke-c">
        message2print = "{woke" + "; xxxxxxxx-woke-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "waking-c">
        message2print = "{waking" + "; xxxxxxxx-waking-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WALK, WALKED, WALKING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "walk-c">
        message2print = "{walk" + "; xxxxxxxx-walk-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "walked-c">
        message2print = "{walked" + "; xxxxxxxx-walked-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>                                 
        
        #<macro4xi macro = "walking-c">
        message2print = "{walking" + "; xxxxxxxx-walking-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>                                 
        
        # -----------------------------------------------------------------------------------------    
        # WANDER, WANDERED, WANDERING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wander-c">
        message2print = "{wander" + "; xxxxxxxx-wander-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wandered-c">
        message2print = "{wandered" + "; xxxxxxxx-wandered-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wandering-c">
        message2print = "{wandering" + "; xxxxxxxx-wandering-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # WANT, WANTED, WANTING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "want-c">
        message2print = "{want" + "; xxxxxxxx-want-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wanted-c">
        message2print = "{wanted" + "; xxxxxxxx-wanted-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wanting-c">
        message2print = "{wanting" + "; xxxxxxxx-wanting-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                                                                    
        # -----------------------------------------------------------------------------------------    
        # WARN, WARNED, WARNING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "warn-c">
        message2print = "{warn" + "; xxxxxxxx-warn-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "warned-c">
        message2print = "{warned" + "; xxxxxxxx-warned-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>

        #<macro4xi macro = "warning-c">
        message2print = "{warning" + "; xxxxxxxx-warning-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                     
        #</macro4xi>
                          
        # -----------------------------------------------------------------------------------------    
        # WARP, WARPED, WARPING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "warp-c">
        message2print = "{warp" + "; xxxxxxxx-warp-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "warped-c">
        message2print = "{warped" + "; xxxxxxxx-warped-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        #<macro4xi macro = "warping-c">
        message2print = "{warping" + "; xxxxxxxx-warping-by-yyyyyyyy-of-ZZZZZZZZ: " + " ** " + str(xxxxxxxx)  + " ** " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                     
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WASH, WASHED, WASHING  
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wash-c">
        message2print = "{wash" + "; xxxxxxxx-wash-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "washed-c">
        message2print = "{washed" + "; xxxxxxxx-washed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>        
        
        #<macro4xi macro = "washing-c">
        message2print = "{washing" + "; xxxxxxxx-washing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>    
    
        # -----------------------------------------------------------------------------------------    
        # WATCH, WATCHED, WATCHING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "watch-c">
        message2print = "{watch" + "; xxxxxxxx-watch-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "watched-c">
        message2print = "{watched" + "; xxxxxxxx-watched-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "watching-c">
        message2print = "{watching" + "; xxxxxxxx-watching-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WAVE, WAVED, WAVING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wave-c">
        message2print = "{wave" + "; xxxxxxxx-wave-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "waved-c">
        message2print = "{waved" + "; xxxxxxxx-waved-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>        
        
        #<macro4xi macro = "waving-c">
        message2print = "{waving" + "; xxxxxxxx-waving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WEAVE, WEAVED, WEAVING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "weave-c">
        message2print = "{weave" + "; xxxxxxxx-weave-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "weaved-c">
        message2print = "{weaved" + "; xxxxxxxx-weaved-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "weaving-c">
        message2print = "{weaving" + "; xxxxxxxx-weaving-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # WEB, WEBBED, WEBBING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "web-c">
        message2print = "{web" + "; xxxxxxxx-web-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "webbed-c">
        message2print = "{webbed" + "; xxxxxxxx-webbed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "webbing-c">
        message2print = "{webbing" + "; xxxxxxxx-webbing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WEIGH, WEIGHED, WEIGHING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "weigh-c">
        message2print = "{weigh" + "; xxxxxxxx-weigh-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "weighed-c">
        message2print = "{weighed" + "; xxxxxxxx-weighed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "weighing-c">
        message2print = "{weighing" + "; xxxxxxxx-weighing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WIND, WINDED, WINDING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wind-c">
        message2print = "{wind" + "; xxxxxxxx-wind-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "winded-c">
        message2print = "{winded" + "; xxxxxxxx-winded-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "winding-c">
        message2print = "{winding" + "; xxxxxxxx-winding-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # WING WINGED, WINGING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wing-c">
        message2print = "{wing" + "; xxxxxxxx-wing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "winged-c">
        message2print = "{winged" + "; xxxxxxxx-winged-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "winging-c">
        message2print = "{winging" + "; xxxxxxxx-winging-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WIRE, WIRED, WIRING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wire-c">
        message2print = "{wire" + "; xxxxxxxx-wire-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wired-c">
        message2print = "{wired" + "; xxxxxxxx-wired-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wiring-c">
        message2print = "{wiring" + "; xxxxxxxx-wiring-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WISE, WISED, WISING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wise-c">
        message2print = "{wise" + "; xxxxxxxx-wise-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wised-c">
        message2print = "{wised" + "; xxxxxxxx-wised-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wising-c">
        message2print = "{wising" + "; xxxxxxxx-wising-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        # -----------------------------------------------------------------------------------------    
        # WONDER, WONDERED, WONDERING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wonder-c">
        message2print = "{wonder" + "; xxxxxxxx-wonder-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wondered-c">
        message2print = "{wondered" + "; xxxxxxxx-wondered-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wondering-c">
        message2print = "{wondering" + "; xxxxxxxx-wondering-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
    
        # -----------------------------------------------------------------------------------------    
        # WRAP, WRAPPED, WRAPPING   
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "wrap-c">
        message2print = "{wrap" + "; xxxxxxxx-wrap-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wrapped-f">
        message2print = "{wrapped" + "; xxxxxxxx-wrapped-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
        
        #<macro4xi macro = "wrapping-f">
        message2print = "{wrapping" + "; xxxxxxxx-wrapping-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
                                                                                                          
        # -----------------------------------------------------------------------------------------    
        # WRITE, WROTE, WRITING
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "write-c">
        message2print = "{write" + "; xxxxxxxx-write-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
           
        #<macro4xi macro = "wrote-c">
        message2print = "{wrote" + "; xxxxxxxx-wrote-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
           
        #<macro4xi macro = "writing-c">
        message2print = "{writing" + "; xxxxxxxx-writing-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        #</macro4xi>
          
                                                                           
#[_]-Class 
    
        # -----------------------------------------------------------------------------------------    
        # _PERTAIN, _PERTAINED, _PERTAINING 
        # -----------------------------------------------------------------------------------------   
        #<macro4xi macro = "_pertain-c">
        message2print = "{_pertain" + "; xxxxxxxx-pertain-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>
        
        #<macro4xi macro = "_pertained-c">
        message2print = "{_pertained" + "; xxxxxxxx-pertained-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        #</macro4xi>

        #<macro4xi macro = "_pertaining-c">
        message2print = "{_pertaining" + "; xxxxxxxx-pertaining-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi> 
        
        # -----------------------------------------------------------------------------------------    
        # _PRIVATE, _PRIVATED, _PRIVATING
        # ----------------------------------------------------------------------------------------- 
        #<macro4xi macro = "_private-c">
        message2print = "{_private" + "; xxxxxxxx-private-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
    
        #<macro4xi macro = "_privated-c">
        message2print = "{_privated" + "; xxxxxxxx-privated-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
      
        #<macro4xi macro = "_privating-c">
        message2print = "{_privating" + "; xxxxxxxx-privating-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        #</macro4xi>
           
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------    
            

                # -------------------------------------------------------------------------------------    
                #
                # -------------------------------------------------------------------------------------                 
                              

                    # ---------------------------------------------------------------------------------    
                    #
                    # ---------------------------------------------------------------------------------                 
                                   

                        # -----------------------------------------------------------------------------    
                        #
                        # ----------------------------------------------------------------------------- 
        
        # -----------------------------------------------------------------------------------------    
        # ending as others would do it - remember that this is a program itself!
        # -----------------------------------------------------------------------------------------                         
        message2print = "{activated" + "; skeletonprint2xi-of-SkeletonPrint4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
      
        message2print = "{returning" + "; init-of-SkeletonPrint4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        
    #</methodize4xi>
        
        
    # =================================================================================================
    # SENSE, REASON AND ACE METHODS TO BE COPY PASTED AND TAILORED IN MODULES HAVING A CLASS  
    # =================================================================================================
    
                                      
    
    #<methodize4xi method = "sense-of-SkeletonPrint4Xi" usage = "senses SkeletonPrint4Xi objects">
    # ---------------------------------------------------------------------------------------------
    # sense
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        senses class objects
        '''
        global xxxxxxxx         #<-- delete this line after copying sense method skeleton to a module!   
        global yyyyyyyy         #<-- delete this line after copying sense method skeleton to a module! 
        global ZZZZZZZZ         #<-- delete this line after copying sense method skeleton to a module! 
        
        class2print = 'SkeletonPrint4Xi'
        method2print = 'sense'
        
        message2print = "{started" + "; sense-of-ZZZZZZZZ-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
      
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        message2print = "{sensing" + "; xxxxxxxx-sensing-by-sense-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-ZZZZZZZZ: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb2xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------         
    
        
        
      
        message2print = "{sensed" + "; xxxxxxxx-sensed-by-yyyyyyyy-of-ZZZZZZZZ: " + str(xxxxxxxx)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
    
   
        
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ZZZZZZZZ: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
        
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
         

    
 
    #<methodize4xi method = "reason-of-SkeletonPrint4Xi" usage = "reasons SkeletonPrint4Xi objects">
    # ---------------------------------------------------------------------------------------------
    # reason
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons class objects
        '''
        global xxxxxxxx         #<-- delete this line after copying reason method skeleton to a module!   
        global yyyyyyyy         #<-- delete this line after copying reason method skeleton to a module! 
        global ZZZZZZZZ         #<-- delete this line after copying reason method skeleton to a module!      
        
        class2print = 'SkeletonPrint4Xi'
        method2print = 'reason'

        message2print = "{started" + "; reason-of-ZZZZZZZZ-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
  
           
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{reasoning" + "; xxxxxxxx-reasoning-by-reason-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-ZZZZZZZZ: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        
          
        
        message2print = "{reasoned" + "; xxxxxxxx-reasoned-by-reason-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ZZZZZZZZ: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    #<methodize4xi method = "ace-of-SkeletonPrint4Xi" usage = "aces SkeletonPrint4Xi objects">
    # ---------------------------------------------------------------------------------------------
    # ace
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces class objects 
        '''
        global xxxxxxxx         #<-- delete this line after copying ace method skeleton to a module!   
        global yyyyyyyy         #<-- delete this line after copying ace method skeleton to a module! 
        global ZZZZZZZZ         #<-- delete this line after copying ace method skeleton to a module!    
        
        
        class2print = 'ZZZZZZZZ'
        method2print = 'ace'
        
        message2print = "{started" + "; ace-of-ZZZZZZZZ-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)      
        
 
           
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{acing" + "; xxxxxxxx-acing-by-ace-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-ZZZZZZZZ: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        
          
        message2print = "{aced" + "; xxxxxxxx-aced-by-ace-of-ZZZZZZZZ: " + str(xxxxxxxx) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
             
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ZZZZZZZZ: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
              
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
          
        
#</class4xi> 


#</program4xi> 

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_skeleton_print4xi.txt
#   sense-test-skeleton_print4xi.py.xml
#   reason-test-skeleton_print4xi.py.xml
#   ace-test-skeleton_print4xi.py.xml
#"
#>
    

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

        
#<end4xi end = "skeleton_print4xi">
# -------------------------------------------------------------------------------------------------
# end of skeleton_print4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#</end4xi>
          